#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 495
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 145
#define ALIAS_COUNT 0
#define TOKEN_COUNT 76
#define EXTERNAL_TOKEN_COUNT 11
#define FIELD_COUNT 2
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 5

enum ts_symbol_identifiers {
  sym_Name = 1,
  anon_sym_LT_BANG_LBRACK = 2,
  anon_sym_IGNORE = 3,
  anon_sym_INCLUDE = 4,
  anon_sym_LBRACK = 5,
  anon_sym_RBRACK_RBRACK_GT = 6,
  anon_sym_LT_BANG = 7,
  anon_sym_ELEMENT = 8,
  anon_sym_GT = 9,
  anon_sym_EMPTY = 10,
  anon_sym_ANY = 11,
  anon_sym_LPAREN = 12,
  anon_sym_POUNDPCDATA = 13,
  anon_sym_PIPE = 14,
  anon_sym_RPAREN = 15,
  anon_sym_STAR = 16,
  anon_sym_QMARK = 17,
  anon_sym_PLUS = 18,
  anon_sym_COMMA = 19,
  anon_sym_ATTLIST = 20,
  anon_sym_CDATA = 21,
  sym_TokenizedType = 22,
  anon_sym_NOTATION = 23,
  anon_sym_POUNDREQUIRED = 24,
  anon_sym_POUNDIMPLIED = 25,
  anon_sym_POUNDFIXED = 26,
  anon_sym_ENTITY = 27,
  anon_sym_PERCENT = 28,
  anon_sym_DQUOTE = 29,
  aux_sym_EntityValue_token1 = 30,
  anon_sym_SQUOTE = 31,
  aux_sym_EntityValue_token2 = 32,
  anon_sym_NDATA = 33,
  anon_sym_SEMI = 34,
  sym__S = 35,
  sym_Nmtoken = 36,
  anon_sym_AMP = 37,
  anon_sym_AMP_POUND = 38,
  aux_sym_CharRef_token1 = 39,
  anon_sym_AMP_POUNDx = 40,
  aux_sym_CharRef_token2 = 41,
  aux_sym_AttValue_token1 = 42,
  aux_sym_AttValue_token2 = 43,
  anon_sym_SYSTEM = 44,
  anon_sym_PUBLIC = 45,
  aux_sym_SystemLiteral_token1 = 46,
  aux_sym_SystemLiteral_token2 = 47,
  aux_sym_PubidLiteral_token1 = 48,
  aux_sym_PubidLiteral_token2 = 49,
  anon_sym_LT_QMARK = 50,
  anon_sym_xml = 51,
  anon_sym_QMARK_GT = 52,
  anon_sym_version = 53,
  sym_VersionNum = 54,
  anon_sym_encoding = 55,
  sym_EncName = 56,
  anon_sym_EQ = 57,
  anon_sym_standalone = 58,
  anon_sym_yes = 59,
  anon_sym_no = 60,
  anon_sym_DOCTYPE = 61,
  anon_sym_RBRACK = 62,
  anon_sym_LT = 63,
  anon_sym_SLASH_GT = 64,
  anon_sym_LT_SLASH = 65,
  anon_sym_xml_DASHstylesheet = 66,
  anon_sym_xml_DASHmodel = 67,
  sym_PITarget = 68,
  sym__pi_content = 69,
  sym_Comment = 70,
  sym_CharData = 71,
  sym_CData = 72,
  sym__start_tag_name = 73,
  sym__end_tag_name = 74,
  sym__erroneous_end_name = 75,
  sym_document = 76,
  sym__markupdecl = 77,
  sym__DeclSep = 78,
  sym_elementdecl = 79,
  sym_contentspec = 80,
  sym_Mixed = 81,
  sym_children = 82,
  sym__cp = 83,
  sym__choice = 84,
  sym_AttlistDecl = 85,
  sym_AttDef = 86,
  sym__AttType = 87,
  sym_StringType = 88,
  sym__EnumeratedType = 89,
  sym_NotationType = 90,
  sym_Enumeration = 91,
  sym_DefaultDecl = 92,
  sym__EntityDecl = 93,
  sym_GEDecl = 94,
  sym_PEDecl = 95,
  sym_EntityValue = 96,
  sym_NDataDecl = 97,
  sym_NotationDecl = 98,
  sym_PEReference = 99,
  sym__Reference = 100,
  sym_EntityRef = 101,
  sym_CharRef = 102,
  sym_AttValue = 103,
  sym_ExternalID = 104,
  sym_PublicID = 105,
  sym_SystemLiteral = 106,
  sym_PubidLiteral = 107,
  sym_XMLDecl = 108,
  sym__VersionInfo = 109,
  sym__EncodingDecl = 110,
  sym_PI = 111,
  sym__Eq = 112,
  sym_prolog = 113,
  sym__Misc = 114,
  sym__SDDecl = 115,
  sym_doctypedecl = 116,
  aux_sym__intSubset = 117,
  sym_element = 118,
  sym_EmptyElemTag = 119,
  sym_Attribute = 120,
  sym_STag = 121,
  sym_ETag = 122,
  sym_content = 123,
  sym_CDSect = 124,
  sym_CDStart = 125,
  sym_StyleSheetPI = 126,
  sym_XmlModelPI = 127,
  sym_PseudoAtt = 128,
  sym_PseudoAttValue = 129,
  aux_sym_document_repeat1 = 130,
  aux_sym_Mixed_repeat1 = 131,
  aux_sym_Mixed_repeat2 = 132,
  aux_sym__choice_repeat1 = 133,
  aux_sym__choice_repeat2 = 134,
  aux_sym_AttlistDecl_repeat1 = 135,
  aux_sym_NotationType_repeat1 = 136,
  aux_sym_Enumeration_repeat1 = 137,
  aux_sym_EntityValue_repeat1 = 138,
  aux_sym_EntityValue_repeat2 = 139,
  aux_sym_AttValue_repeat1 = 140,
  aux_sym_AttValue_repeat2 = 141,
  aux_sym_EmptyElemTag_repeat1 = 142,
  aux_sym_content_repeat1 = 143,
  aux_sym_StyleSheetPI_repeat1 = 144,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_Name] = "Name",
  [anon_sym_LT_BANG_LBRACK] = "<![",
  [anon_sym_IGNORE] = "IGNORE",
  [anon_sym_INCLUDE] = "INCLUDE",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK_RBRACK_GT] = "]]>",
  [anon_sym_LT_BANG] = "<!",
  [anon_sym_ELEMENT] = "ELEMENT",
  [anon_sym_GT] = ">",
  [anon_sym_EMPTY] = "EMPTY",
  [anon_sym_ANY] = "ANY",
  [anon_sym_LPAREN] = "(",
  [anon_sym_POUNDPCDATA] = "#PCDATA",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_STAR] = "*",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PLUS] = "+",
  [anon_sym_COMMA] = ",",
  [anon_sym_ATTLIST] = "ATTLIST",
  [anon_sym_CDATA] = "CDATA",
  [sym_TokenizedType] = "TokenizedType",
  [anon_sym_NOTATION] = "NOTATION",
  [anon_sym_POUNDREQUIRED] = "#REQUIRED",
  [anon_sym_POUNDIMPLIED] = "#IMPLIED",
  [anon_sym_POUNDFIXED] = "#FIXED",
  [anon_sym_ENTITY] = "ENTITY",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_EntityValue_token1] = "EntityValue_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_EntityValue_token2] = "EntityValue_token2",
  [anon_sym_NDATA] = "NDATA",
  [anon_sym_SEMI] = ";",
  [sym__S] = "_S",
  [sym_Nmtoken] = "Nmtoken",
  [anon_sym_AMP] = "&",
  [anon_sym_AMP_POUND] = "&#",
  [aux_sym_CharRef_token1] = "CharRef_token1",
  [anon_sym_AMP_POUNDx] = "&#x",
  [aux_sym_CharRef_token2] = "CharRef_token2",
  [aux_sym_AttValue_token1] = "AttValue_token1",
  [aux_sym_AttValue_token2] = "AttValue_token2",
  [anon_sym_SYSTEM] = "SYSTEM",
  [anon_sym_PUBLIC] = "PUBLIC",
  [aux_sym_SystemLiteral_token1] = "URI",
  [aux_sym_SystemLiteral_token2] = "URI",
  [aux_sym_PubidLiteral_token1] = "PubidLiteral_token1",
  [aux_sym_PubidLiteral_token2] = "PubidLiteral_token2",
  [anon_sym_LT_QMARK] = "<\?",
  [anon_sym_xml] = "xml",
  [anon_sym_QMARK_GT] = "\?>",
  [anon_sym_version] = "version",
  [sym_VersionNum] = "VersionNum",
  [anon_sym_encoding] = "encoding",
  [sym_EncName] = "EncName",
  [anon_sym_EQ] = "=",
  [anon_sym_standalone] = "standalone",
  [anon_sym_yes] = "yes",
  [anon_sym_no] = "no",
  [anon_sym_DOCTYPE] = "DOCTYPE",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_xml_DASHstylesheet] = "xml-stylesheet",
  [anon_sym_xml_DASHmodel] = "xml-model",
  [sym_PITarget] = "PITarget",
  [sym__pi_content] = "_pi_content",
  [sym_Comment] = "Comment",
  [sym_CharData] = "CharData",
  [sym_CData] = "CData",
  [sym__start_tag_name] = "Name",
  [sym__end_tag_name] = "Name",
  [sym__erroneous_end_name] = "ERROR",
  [sym_document] = "document",
  [sym__markupdecl] = "_markupdecl",
  [sym__DeclSep] = "_DeclSep",
  [sym_elementdecl] = "elementdecl",
  [sym_contentspec] = "contentspec",
  [sym_Mixed] = "Mixed",
  [sym_children] = "children",
  [sym__cp] = "_cp",
  [sym__choice] = "_choice",
  [sym_AttlistDecl] = "AttlistDecl",
  [sym_AttDef] = "AttDef",
  [sym__AttType] = "_AttType",
  [sym_StringType] = "StringType",
  [sym__EnumeratedType] = "_EnumeratedType",
  [sym_NotationType] = "NotationType",
  [sym_Enumeration] = "Enumeration",
  [sym_DefaultDecl] = "DefaultDecl",
  [sym__EntityDecl] = "_EntityDecl",
  [sym_GEDecl] = "GEDecl",
  [sym_PEDecl] = "PEDecl",
  [sym_EntityValue] = "EntityValue",
  [sym_NDataDecl] = "NDataDecl",
  [sym_NotationDecl] = "NotationDecl",
  [sym_PEReference] = "PEReference",
  [sym__Reference] = "_Reference",
  [sym_EntityRef] = "EntityRef",
  [sym_CharRef] = "CharRef",
  [sym_AttValue] = "AttValue",
  [sym_ExternalID] = "ExternalID",
  [sym_PublicID] = "PublicID",
  [sym_SystemLiteral] = "SystemLiteral",
  [sym_PubidLiteral] = "PubidLiteral",
  [sym_XMLDecl] = "XMLDecl",
  [sym__VersionInfo] = "_VersionInfo",
  [sym__EncodingDecl] = "_EncodingDecl",
  [sym_PI] = "PI",
  [sym__Eq] = "_Eq",
  [sym_prolog] = "prolog",
  [sym__Misc] = "_Misc",
  [sym__SDDecl] = "_SDDecl",
  [sym_doctypedecl] = "doctypedecl",
  [aux_sym__intSubset] = "_intSubset",
  [sym_element] = "element",
  [sym_EmptyElemTag] = "EmptyElemTag",
  [sym_Attribute] = "Attribute",
  [sym_STag] = "STag",
  [sym_ETag] = "ETag",
  [sym_content] = "content",
  [sym_CDSect] = "CDSect",
  [sym_CDStart] = "CDStart",
  [sym_StyleSheetPI] = "StyleSheetPI",
  [sym_XmlModelPI] = "XmlModelPI",
  [sym_PseudoAtt] = "PseudoAtt",
  [sym_PseudoAttValue] = "PseudoAttValue",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_Mixed_repeat1] = "Mixed_repeat1",
  [aux_sym_Mixed_repeat2] = "Mixed_repeat2",
  [aux_sym__choice_repeat1] = "_choice_repeat1",
  [aux_sym__choice_repeat2] = "_choice_repeat2",
  [aux_sym_AttlistDecl_repeat1] = "AttlistDecl_repeat1",
  [aux_sym_NotationType_repeat1] = "NotationType_repeat1",
  [aux_sym_Enumeration_repeat1] = "Enumeration_repeat1",
  [aux_sym_EntityValue_repeat1] = "EntityValue_repeat1",
  [aux_sym_EntityValue_repeat2] = "EntityValue_repeat2",
  [aux_sym_AttValue_repeat1] = "AttValue_repeat1",
  [aux_sym_AttValue_repeat2] = "AttValue_repeat2",
  [aux_sym_EmptyElemTag_repeat1] = "EmptyElemTag_repeat1",
  [aux_sym_content_repeat1] = "content_repeat1",
  [aux_sym_StyleSheetPI_repeat1] = "StyleSheetPI_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_Name] = sym_Name,
  [anon_sym_LT_BANG_LBRACK] = anon_sym_LT_BANG_LBRACK,
  [anon_sym_IGNORE] = anon_sym_IGNORE,
  [anon_sym_INCLUDE] = anon_sym_INCLUDE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK_RBRACK_GT] = anon_sym_RBRACK_RBRACK_GT,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [anon_sym_ELEMENT] = anon_sym_ELEMENT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_EMPTY] = anon_sym_EMPTY,
  [anon_sym_ANY] = anon_sym_ANY,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_POUNDPCDATA] = anon_sym_POUNDPCDATA,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_ATTLIST] = anon_sym_ATTLIST,
  [anon_sym_CDATA] = anon_sym_CDATA,
  [sym_TokenizedType] = sym_TokenizedType,
  [anon_sym_NOTATION] = anon_sym_NOTATION,
  [anon_sym_POUNDREQUIRED] = anon_sym_POUNDREQUIRED,
  [anon_sym_POUNDIMPLIED] = anon_sym_POUNDIMPLIED,
  [anon_sym_POUNDFIXED] = anon_sym_POUNDFIXED,
  [anon_sym_ENTITY] = anon_sym_ENTITY,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_EntityValue_token1] = aux_sym_EntityValue_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_EntityValue_token2] = aux_sym_EntityValue_token2,
  [anon_sym_NDATA] = anon_sym_NDATA,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym__S] = sym__S,
  [sym_Nmtoken] = sym_Nmtoken,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_AMP_POUND] = anon_sym_AMP_POUND,
  [aux_sym_CharRef_token1] = aux_sym_CharRef_token1,
  [anon_sym_AMP_POUNDx] = anon_sym_AMP_POUNDx,
  [aux_sym_CharRef_token2] = aux_sym_CharRef_token2,
  [aux_sym_AttValue_token1] = aux_sym_AttValue_token1,
  [aux_sym_AttValue_token2] = aux_sym_AttValue_token2,
  [anon_sym_SYSTEM] = anon_sym_SYSTEM,
  [anon_sym_PUBLIC] = anon_sym_PUBLIC,
  [aux_sym_SystemLiteral_token1] = aux_sym_SystemLiteral_token1,
  [aux_sym_SystemLiteral_token2] = aux_sym_SystemLiteral_token1,
  [aux_sym_PubidLiteral_token1] = aux_sym_PubidLiteral_token1,
  [aux_sym_PubidLiteral_token2] = aux_sym_PubidLiteral_token2,
  [anon_sym_LT_QMARK] = anon_sym_LT_QMARK,
  [anon_sym_xml] = anon_sym_xml,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [anon_sym_version] = anon_sym_version,
  [sym_VersionNum] = sym_VersionNum,
  [anon_sym_encoding] = anon_sym_encoding,
  [sym_EncName] = sym_EncName,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_standalone] = anon_sym_standalone,
  [anon_sym_yes] = anon_sym_yes,
  [anon_sym_no] = anon_sym_no,
  [anon_sym_DOCTYPE] = anon_sym_DOCTYPE,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_xml_DASHstylesheet] = anon_sym_xml_DASHstylesheet,
  [anon_sym_xml_DASHmodel] = anon_sym_xml_DASHmodel,
  [sym_PITarget] = sym_PITarget,
  [sym__pi_content] = sym__pi_content,
  [sym_Comment] = sym_Comment,
  [sym_CharData] = sym_CharData,
  [sym_CData] = sym_CData,
  [sym__start_tag_name] = sym_Name,
  [sym__end_tag_name] = sym_Name,
  [sym__erroneous_end_name] = sym__erroneous_end_name,
  [sym_document] = sym_document,
  [sym__markupdecl] = sym__markupdecl,
  [sym__DeclSep] = sym__DeclSep,
  [sym_elementdecl] = sym_elementdecl,
  [sym_contentspec] = sym_contentspec,
  [sym_Mixed] = sym_Mixed,
  [sym_children] = sym_children,
  [sym__cp] = sym__cp,
  [sym__choice] = sym__choice,
  [sym_AttlistDecl] = sym_AttlistDecl,
  [sym_AttDef] = sym_AttDef,
  [sym__AttType] = sym__AttType,
  [sym_StringType] = sym_StringType,
  [sym__EnumeratedType] = sym__EnumeratedType,
  [sym_NotationType] = sym_NotationType,
  [sym_Enumeration] = sym_Enumeration,
  [sym_DefaultDecl] = sym_DefaultDecl,
  [sym__EntityDecl] = sym__EntityDecl,
  [sym_GEDecl] = sym_GEDecl,
  [sym_PEDecl] = sym_PEDecl,
  [sym_EntityValue] = sym_EntityValue,
  [sym_NDataDecl] = sym_NDataDecl,
  [sym_NotationDecl] = sym_NotationDecl,
  [sym_PEReference] = sym_PEReference,
  [sym__Reference] = sym__Reference,
  [sym_EntityRef] = sym_EntityRef,
  [sym_CharRef] = sym_CharRef,
  [sym_AttValue] = sym_AttValue,
  [sym_ExternalID] = sym_ExternalID,
  [sym_PublicID] = sym_PublicID,
  [sym_SystemLiteral] = sym_SystemLiteral,
  [sym_PubidLiteral] = sym_PubidLiteral,
  [sym_XMLDecl] = sym_XMLDecl,
  [sym__VersionInfo] = sym__VersionInfo,
  [sym__EncodingDecl] = sym__EncodingDecl,
  [sym_PI] = sym_PI,
  [sym__Eq] = sym__Eq,
  [sym_prolog] = sym_prolog,
  [sym__Misc] = sym__Misc,
  [sym__SDDecl] = sym__SDDecl,
  [sym_doctypedecl] = sym_doctypedecl,
  [aux_sym__intSubset] = aux_sym__intSubset,
  [sym_element] = sym_element,
  [sym_EmptyElemTag] = sym_EmptyElemTag,
  [sym_Attribute] = sym_Attribute,
  [sym_STag] = sym_STag,
  [sym_ETag] = sym_ETag,
  [sym_content] = sym_content,
  [sym_CDSect] = sym_CDSect,
  [sym_CDStart] = sym_CDStart,
  [sym_StyleSheetPI] = sym_StyleSheetPI,
  [sym_XmlModelPI] = sym_XmlModelPI,
  [sym_PseudoAtt] = sym_PseudoAtt,
  [sym_PseudoAttValue] = sym_PseudoAttValue,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_Mixed_repeat1] = aux_sym_Mixed_repeat1,
  [aux_sym_Mixed_repeat2] = aux_sym_Mixed_repeat2,
  [aux_sym__choice_repeat1] = aux_sym__choice_repeat1,
  [aux_sym__choice_repeat2] = aux_sym__choice_repeat2,
  [aux_sym_AttlistDecl_repeat1] = aux_sym_AttlistDecl_repeat1,
  [aux_sym_NotationType_repeat1] = aux_sym_NotationType_repeat1,
  [aux_sym_Enumeration_repeat1] = aux_sym_Enumeration_repeat1,
  [aux_sym_EntityValue_repeat1] = aux_sym_EntityValue_repeat1,
  [aux_sym_EntityValue_repeat2] = aux_sym_EntityValue_repeat2,
  [aux_sym_AttValue_repeat1] = aux_sym_AttValue_repeat1,
  [aux_sym_AttValue_repeat2] = aux_sym_AttValue_repeat2,
  [aux_sym_EmptyElemTag_repeat1] = aux_sym_EmptyElemTag_repeat1,
  [aux_sym_content_repeat1] = aux_sym_content_repeat1,
  [aux_sym_StyleSheetPI_repeat1] = aux_sym_StyleSheetPI_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_Name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_BANG_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_IGNORE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_INCLUDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ELEMENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EMPTY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ANY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDPCDATA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATTLIST] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CDATA] = {
    .visible = true,
    .named = false,
  },
  [sym_TokenizedType] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NOTATION] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDREQUIRED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDIMPLIED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDFIXED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ENTITY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_EntityValue_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_EntityValue_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_NDATA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym__S] = {
    .visible = false,
    .named = true,
  },
  [sym_Nmtoken] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_POUND] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_CharRef_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_AMP_POUNDx] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_CharRef_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttValue_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttValue_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SYSTEM] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PUBLIC] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SystemLiteral_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_SystemLiteral_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_PubidLiteral_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_PubidLiteral_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_version] = {
    .visible = true,
    .named = false,
  },
  [sym_VersionNum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [sym_EncName] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_standalone] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_no] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOCTYPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml_DASHstylesheet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml_DASHmodel] = {
    .visible = true,
    .named = false,
  },
  [sym_PITarget] = {
    .visible = true,
    .named = true,
  },
  [sym__pi_content] = {
    .visible = false,
    .named = true,
  },
  [sym_Comment] = {
    .visible = true,
    .named = true,
  },
  [sym_CharData] = {
    .visible = true,
    .named = true,
  },
  [sym_CData] = {
    .visible = true,
    .named = true,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__erroneous_end_name] = {
    .visible = true,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym__markupdecl] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__DeclSep] = {
    .visible = false,
    .named = true,
  },
  [sym_elementdecl] = {
    .visible = true,
    .named = true,
  },
  [sym_contentspec] = {
    .visible = true,
    .named = true,
  },
  [sym_Mixed] = {
    .visible = true,
    .named = true,
  },
  [sym_children] = {
    .visible = true,
    .named = true,
  },
  [sym__cp] = {
    .visible = false,
    .named = true,
  },
  [sym__choice] = {
    .visible = false,
    .named = true,
  },
  [sym_AttlistDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_AttDef] = {
    .visible = true,
    .named = true,
  },
  [sym__AttType] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_StringType] = {
    .visible = true,
    .named = true,
  },
  [sym__EnumeratedType] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_NotationType] = {
    .visible = true,
    .named = true,
  },
  [sym_Enumeration] = {
    .visible = true,
    .named = true,
  },
  [sym_DefaultDecl] = {
    .visible = true,
    .named = true,
  },
  [sym__EntityDecl] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_GEDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_PEDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_EntityValue] = {
    .visible = true,
    .named = true,
  },
  [sym_NDataDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_NotationDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_PEReference] = {
    .visible = true,
    .named = true,
  },
  [sym__Reference] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_EntityRef] = {
    .visible = true,
    .named = true,
  },
  [sym_CharRef] = {
    .visible = true,
    .named = true,
  },
  [sym_AttValue] = {
    .visible = true,
    .named = true,
  },
  [sym_ExternalID] = {
    .visible = true,
    .named = true,
  },
  [sym_PublicID] = {
    .visible = true,
    .named = true,
  },
  [sym_SystemLiteral] = {
    .visible = true,
    .named = true,
  },
  [sym_PubidLiteral] = {
    .visible = true,
    .named = true,
  },
  [sym_XMLDecl] = {
    .visible = true,
    .named = true,
  },
  [sym__VersionInfo] = {
    .visible = false,
    .named = true,
  },
  [sym__EncodingDecl] = {
    .visible = false,
    .named = true,
  },
  [sym_PI] = {
    .visible = true,
    .named = true,
  },
  [sym__Eq] = {
    .visible = false,
    .named = true,
  },
  [sym_prolog] = {
    .visible = true,
    .named = true,
  },
  [sym__Misc] = {
    .visible = false,
    .named = true,
  },
  [sym__SDDecl] = {
    .visible = false,
    .named = true,
  },
  [sym_doctypedecl] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__intSubset] = {
    .visible = false,
    .named = false,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_EmptyElemTag] = {
    .visible = true,
    .named = true,
  },
  [sym_Attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_STag] = {
    .visible = true,
    .named = true,
  },
  [sym_ETag] = {
    .visible = true,
    .named = true,
  },
  [sym_content] = {
    .visible = true,
    .named = true,
  },
  [sym_CDSect] = {
    .visible = true,
    .named = true,
  },
  [sym_CDStart] = {
    .visible = true,
    .named = true,
  },
  [sym_StyleSheetPI] = {
    .visible = true,
    .named = true,
  },
  [sym_XmlModelPI] = {
    .visible = true,
    .named = true,
  },
  [sym_PseudoAtt] = {
    .visible = true,
    .named = true,
  },
  [sym_PseudoAttValue] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_Mixed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_Mixed_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__choice_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__choice_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttlistDecl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_NotationType_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_Enumeration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EntityValue_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EntityValue_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttValue_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttValue_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EmptyElemTag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_StyleSheetPI_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_content = 1,
  field_root = 2,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_content] = "content",
  [field_root] = "root",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_root, 0},
  [1] =
    {field_root, 1},
  [2] =
    {field_root, 2},
  [3] =
    {field_content, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 53,
  [78] = 52,
  [79] = 79,
  [80] = 48,
  [81] = 81,
  [82] = 82,
  [83] = 76,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 72,
  [103] = 42,
  [104] = 34,
  [105] = 68,
  [106] = 72,
  [107] = 42,
  [108] = 50,
  [109] = 34,
  [110] = 68,
  [111] = 111,
  [112] = 60,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 42,
  [137] = 137,
  [138] = 138,
  [139] = 72,
  [140] = 68,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 34,
  [146] = 42,
  [147] = 72,
  [148] = 68,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 161,
  [166] = 166,
  [167] = 167,
  [168] = 47,
  [169] = 169,
  [170] = 170,
  [171] = 49,
  [172] = 65,
  [173] = 63,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 164,
  [185] = 51,
  [186] = 59,
  [187] = 163,
  [188] = 188,
  [189] = 58,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 162,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 56,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 50,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 279,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 296,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 60,
  [319] = 238,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 269,
  [324] = 324,
  [325] = 289,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 279,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 421,
  [455] = 420,
  [456] = 456,
  [457] = 390,
  [458] = 458,
  [459] = 418,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 429,
  [465] = 465,
  [466] = 421,
  [467] = 420,
  [468] = 390,
  [469] = 429,
  [470] = 421,
  [471] = 420,
  [472] = 429,
  [473] = 421,
  [474] = 420,
  [475] = 416,
  [476] = 445,
  [477] = 444,
  [478] = 443,
  [479] = 442,
  [480] = 441,
  [481] = 434,
  [482] = 415,
  [483] = 445,
  [484] = 444,
  [485] = 443,
  [486] = 434,
  [487] = 415,
  [488] = 445,
  [489] = 444,
  [490] = 443,
  [491] = 415,
  [492] = 445,
  [493] = 444,
  [494] = 443,
};

static inline bool aux_sym_PubidLiteral_token1_character_set_1(int32_t c) {
  return (c < '\''
    ? (c < ' '
      ? (c < '\r'
        ? c == '\n'
        : c <= '\r')
      : (c <= '!' || (c >= '#' && c <= '%')))
    : (c <= ';' || (c < '_'
      ? (c < '?'
        ? c == '='
        : c <= 'Z')
      : (c <= '_' || (c >= 'a' && c <= 'z')))));
}

static inline bool aux_sym_PubidLiteral_token2_character_set_1(int32_t c) {
  return (c < '('
    ? (c < ' '
      ? (c < '\r'
        ? c == '\n'
        : c <= '\r')
      : (c <= '!' || (c >= '#' && c <= '%')))
    : (c <= ';' || (c < '_'
      ? (c < '?'
        ? c == '='
        : c <= 'Z')
      : (c <= '_' || (c >= 'a' && c <= 'z')))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(42);
      if (lookahead == '"') ADVANCE(67);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(121);
      if (lookahead == '\'') ADVANCE(81);
      if (lookahead == '(') ADVANCE(49);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(53);
      if (lookahead == '+') ADVANCE(55);
      if (lookahead == ',') ADVANCE(56);
      if (lookahead == '/') ADVANCE(70);
      if (lookahead == '1') ADVANCE(69);
      if (lookahead == ';') ADVANCE(83);
      if (lookahead == '<') ADVANCE(139);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '>') ADVANCE(48);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == 'E') ADVANCE(74);
      if (lookahead == 'I') ADVANCE(71);
      if (lookahead == 'N') ADVANCE(73);
      if (lookahead == '[') ADVANCE(44);
      if (lookahead == ']') ADVANCE(138);
      if (lookahead == '_') ADVANCE(80);
      if (lookahead == '|') ADVANCE(51);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(77);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          lookahead == 183) ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(78);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(75);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      if (lookahead != 0) ADVANCE(68);
      END_STATE();
    case 1:
      if (lookahead == '"') ADVANCE(67);
      if (lookahead == '#') ADVANCE(28);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '\'') ADVANCE(81);
      if (lookahead == '(') ADVANCE(49);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(53);
      if (lookahead == '+') ADVANCE(55);
      if (lookahead == ',') ADVANCE(56);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '>') ADVANCE(48);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(44);
      if (lookahead == ']') ADVANCE(36);
      if (lookahead == '|') ADVANCE(51);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(67);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(121);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(68);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(67);
      if (lookahead == '&') ADVANCE(121);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(126);
      END_STATE();
    case 4:
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(121);
      if (lookahead == '\'') ADVANCE(81);
      if (lookahead == '<') ADVANCE(141);
      if (lookahead != 0) ADVANCE(82);
      END_STATE();
    case 5:
      if (lookahead == '&') ADVANCE(121);
      if (lookahead == '\'') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(127);
      END_STATE();
    case 6:
      if (lookahead == '.') ADVANCE(38);
      END_STATE();
    case 7:
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 8:
      if (lookahead == '>') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == '>') ADVANCE(133);
      END_STATE();
    case 10:
      if (lookahead == '?') ADVANCE(9);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(84);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 11:
      if (lookahead == 'A') ADVANCE(32);
      END_STATE();
    case 12:
      if (lookahead == 'A') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == 'C') ADVANCE(14);
      END_STATE();
    case 14:
      if (lookahead == 'D') ADVANCE(11);
      END_STATE();
    case 15:
      if (lookahead == 'D') ADVANCE(65);
      END_STATE();
    case 16:
      if (lookahead == 'D') ADVANCE(64);
      END_STATE();
    case 17:
      if (lookahead == 'D') ADVANCE(63);
      END_STATE();
    case 18:
      if (lookahead == 'E') ADVANCE(30);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(15);
      END_STATE();
    case 20:
      if (lookahead == 'E') ADVANCE(16);
      END_STATE();
    case 21:
      if (lookahead == 'E') ADVANCE(17);
      END_STATE();
    case 22:
      if (lookahead == 'F') ADVANCE(23);
      if (lookahead == 'I') ADVANCE(27);
      if (lookahead == 'R') ADVANCE(18);
      END_STATE();
    case 23:
      if (lookahead == 'I') ADVANCE(34);
      END_STATE();
    case 24:
      if (lookahead == 'I') ADVANCE(31);
      END_STATE();
    case 25:
      if (lookahead == 'I') ADVANCE(20);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(25);
      END_STATE();
    case 27:
      if (lookahead == 'M') ADVANCE(29);
      END_STATE();
    case 28:
      if (lookahead == 'P') ADVANCE(13);
      END_STATE();
    case 29:
      if (lookahead == 'P') ADVANCE(26);
      END_STATE();
    case 30:
      if (lookahead == 'Q') ADVANCE(33);
      END_STATE();
    case 31:
      if (lookahead == 'R') ADVANCE(21);
      END_STATE();
    case 32:
      if (lookahead == 'T') ADVANCE(12);
      END_STATE();
    case 33:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 34:
      if (lookahead == 'X') ADVANCE(19);
      END_STATE();
    case 35:
      if (lookahead == '[') ADVANCE(43);
      END_STATE();
    case 36:
      if (lookahead == ']') ADVANCE(8);
      END_STATE();
    case 37:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(84);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(120);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(134);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 40:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 41:
      if (eof) ADVANCE(42);
      if (lookahead == '"') ADVANCE(67);
      if (lookahead == '#') ADVANCE(22);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '\'') ADVANCE(81);
      if (lookahead == '(') ADVANCE(49);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(53);
      if (lookahead == '+') ADVANCE(55);
      if (lookahead == ',') ADVANCE(56);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '1') ADVANCE(6);
      if (lookahead == ';') ADVANCE(83);
      if (lookahead == '<') ADVANCE(140);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '>') ADVANCE(48);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == 'E') ADVANCE(102);
      if (lookahead == 'I') ADVANCE(85);
      if (lookahead == 'N') ADVANCE(100);
      if (lookahead == '[') ADVANCE(44);
      if (lookahead == ']') ADVANCE(137);
      if (lookahead == '|') ADVANCE(51);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(84);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_LT_BANG_LBRACK);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK_GT);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      if (lookahead == '[') ADVANCE(43);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_POUNDPCDATA);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'R') ADVANCE(86);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'R') ADVANCE(89);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'S') ADVANCE(61);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'S') ADVANCE(62);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_POUNDREQUIRED);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_POUNDIMPLIED);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_POUNDFIXED);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '.') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      if (lookahead == '-' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(120);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == 'D') ADVANCE(57);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == 'F') ADVANCE(23);
      if (lookahead == 'I') ADVANCE(27);
      if (lookahead == 'P') ADVANCE(13);
      if (lookahead == 'R') ADVANCE(18);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == 'M') ADVANCE(109);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == 'N') ADVANCE(108);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(84);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(120);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(120);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(aux_sym_EntityValue_token2);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym__S);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(84);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'D') ADVANCE(58);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(92);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(101);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(106);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(93);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(107);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(103);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'F') ADVANCE(59);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'F') ADVANCE(60);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(110);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(88);
      if (lookahead == 'Y') ADVANCE(61);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(90);
      if (lookahead == 'Y') ADVANCE(62);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'K') ADVANCE(87);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'K') ADVANCE(91);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'M') ADVANCE(112);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'N') ADVANCE(59);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'N') ADVANCE(111);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'N') ADVANCE(60);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'O') ADVANCE(98);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'O') ADVANCE(99);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'S') ADVANCE(61);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'S') ADVANCE(62);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(94);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(104);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(95);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(96);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(105);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(97);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == ':' ||
          lookahead == 183) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(117);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(120);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(120);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(120);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 183) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '#') ADVANCE(122);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AMP_POUND);
      if (lookahead == 'x') ADVANCE(124);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_CharRef_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_AMP_POUNDx);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_CharRef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_AttValue_token1);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_AttValue_token2);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_SystemLiteral_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_SystemLiteral_token2);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_PubidLiteral_token1);
      if (aux_sym_PubidLiteral_token1_character_set_1(lookahead)) ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_PubidLiteral_token2);
      if (aux_sym_PubidLiteral_token2_character_set_1(lookahead)) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_VersionNum);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_EncName);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      if (lookahead == ']') ADVANCE(8);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(47);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead == '?') ADVANCE(132);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '?') ADVANCE(132);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead == '?') ADVANCE(132);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'C') ADVANCE(2);
      if (lookahead == 'D') ADVANCE(3);
      if (lookahead == 'E') ADVANCE(4);
      if (lookahead == 'I') ADVANCE(5);
      if (lookahead == 'N') ADVANCE(6);
      if (lookahead == 'P') ADVANCE(7);
      if (lookahead == 'S') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 's') ADVANCE(11);
      if (lookahead == 'v') ADVANCE(12);
      if (lookahead == 'x') ADVANCE(13);
      if (lookahead == 'y') ADVANCE(14);
      END_STATE();
    case 1:
      if (lookahead == 'N') ADVANCE(15);
      if (lookahead == 'T') ADVANCE(16);
      END_STATE();
    case 2:
      if (lookahead == 'D') ADVANCE(17);
      END_STATE();
    case 3:
      if (lookahead == 'O') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'L') ADVANCE(19);
      if (lookahead == 'M') ADVANCE(20);
      if (lookahead == 'N') ADVANCE(21);
      END_STATE();
    case 5:
      if (lookahead == 'G') ADVANCE(22);
      if (lookahead == 'N') ADVANCE(23);
      END_STATE();
    case 6:
      if (lookahead == 'D') ADVANCE(24);
      if (lookahead == 'O') ADVANCE(25);
      END_STATE();
    case 7:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 8:
      if (lookahead == 'Y') ADVANCE(27);
      END_STATE();
    case 9:
      if (lookahead == 'n') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 11:
      if (lookahead == 't') ADVANCE(30);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(31);
      END_STATE();
    case 13:
      if (lookahead == 'm') ADVANCE(32);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 15:
      if (lookahead == 'Y') ADVANCE(34);
      END_STATE();
    case 16:
      if (lookahead == 'T') ADVANCE(35);
      END_STATE();
    case 17:
      if (lookahead == 'A') ADVANCE(36);
      END_STATE();
    case 18:
      if (lookahead == 'C') ADVANCE(37);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(38);
      END_STATE();
    case 20:
      if (lookahead == 'P') ADVANCE(39);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(40);
      END_STATE();
    case 22:
      if (lookahead == 'N') ADVANCE(41);
      END_STATE();
    case 23:
      if (lookahead == 'C') ADVANCE(42);
      END_STATE();
    case 24:
      if (lookahead == 'A') ADVANCE(43);
      END_STATE();
    case 25:
      if (lookahead == 'T') ADVANCE(44);
      END_STATE();
    case 26:
      if (lookahead == 'B') ADVANCE(45);
      END_STATE();
    case 27:
      if (lookahead == 'S') ADVANCE(46);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_no);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 33:
      if (lookahead == 's') ADVANCE(51);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_ANY);
      END_STATE();
    case 35:
      if (lookahead == 'L') ADVANCE(52);
      END_STATE();
    case 36:
      if (lookahead == 'T') ADVANCE(53);
      END_STATE();
    case 37:
      if (lookahead == 'T') ADVANCE(54);
      END_STATE();
    case 38:
      if (lookahead == 'M') ADVANCE(55);
      END_STATE();
    case 39:
      if (lookahead == 'T') ADVANCE(56);
      END_STATE();
    case 40:
      if (lookahead == 'I') ADVANCE(57);
      END_STATE();
    case 41:
      if (lookahead == 'O') ADVANCE(58);
      END_STATE();
    case 42:
      if (lookahead == 'L') ADVANCE(59);
      END_STATE();
    case 43:
      if (lookahead == 'T') ADVANCE(60);
      END_STATE();
    case 44:
      if (lookahead == 'A') ADVANCE(61);
      END_STATE();
    case 45:
      if (lookahead == 'L') ADVANCE(62);
      END_STATE();
    case 46:
      if (lookahead == 'T') ADVANCE(63);
      END_STATE();
    case 47:
      if (lookahead == 'o') ADVANCE(64);
      END_STATE();
    case 48:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 49:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_xml);
      if (lookahead == '-') ADVANCE(67);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_yes);
      END_STATE();
    case 52:
      if (lookahead == 'I') ADVANCE(68);
      END_STATE();
    case 53:
      if (lookahead == 'A') ADVANCE(69);
      END_STATE();
    case 54:
      if (lookahead == 'Y') ADVANCE(70);
      END_STATE();
    case 55:
      if (lookahead == 'E') ADVANCE(71);
      END_STATE();
    case 56:
      if (lookahead == 'Y') ADVANCE(72);
      END_STATE();
    case 57:
      if (lookahead == 'T') ADVANCE(73);
      END_STATE();
    case 58:
      if (lookahead == 'R') ADVANCE(74);
      END_STATE();
    case 59:
      if (lookahead == 'U') ADVANCE(75);
      END_STATE();
    case 60:
      if (lookahead == 'A') ADVANCE(76);
      END_STATE();
    case 61:
      if (lookahead == 'T') ADVANCE(77);
      END_STATE();
    case 62:
      if (lookahead == 'I') ADVANCE(78);
      END_STATE();
    case 63:
      if (lookahead == 'E') ADVANCE(79);
      END_STATE();
    case 64:
      if (lookahead == 'd') ADVANCE(80);
      END_STATE();
    case 65:
      if (lookahead == 'd') ADVANCE(81);
      END_STATE();
    case 66:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 67:
      if (lookahead == 'm') ADVANCE(83);
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 68:
      if (lookahead == 'S') ADVANCE(85);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_CDATA);
      END_STATE();
    case 70:
      if (lookahead == 'P') ADVANCE(86);
      END_STATE();
    case 71:
      if (lookahead == 'N') ADVANCE(87);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_EMPTY);
      END_STATE();
    case 73:
      if (lookahead == 'Y') ADVANCE(88);
      END_STATE();
    case 74:
      if (lookahead == 'E') ADVANCE(89);
      END_STATE();
    case 75:
      if (lookahead == 'D') ADVANCE(90);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_NDATA);
      END_STATE();
    case 77:
      if (lookahead == 'I') ADVANCE(91);
      END_STATE();
    case 78:
      if (lookahead == 'C') ADVANCE(92);
      END_STATE();
    case 79:
      if (lookahead == 'M') ADVANCE(93);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(95);
      END_STATE();
    case 82:
      if (lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 83:
      if (lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 85:
      if (lookahead == 'T') ADVANCE(99);
      END_STATE();
    case 86:
      if (lookahead == 'E') ADVANCE(100);
      END_STATE();
    case 87:
      if (lookahead == 'T') ADVANCE(101);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_ENTITY);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_IGNORE);
      END_STATE();
    case 90:
      if (lookahead == 'E') ADVANCE(102);
      END_STATE();
    case 91:
      if (lookahead == 'O') ADVANCE(103);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PUBLIC);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_SYSTEM);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 96:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(107);
      END_STATE();
    case 98:
      if (lookahead == 'y') ADVANCE(108);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_ATTLIST);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_DOCTYPE);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_ELEMENT);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_INCLUDE);
      END_STATE();
    case 103:
      if (lookahead == 'N') ADVANCE(109);
      END_STATE();
    case 104:
      if (lookahead == 'g') ADVANCE(110);
      END_STATE();
    case 105:
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_version);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 108:
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_NOTATION);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 112:
      if (lookahead == 'l') ADVANCE(115);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_xml_DASHmodel);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(118);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_standalone);
      END_STATE();
    case 118:
      if (lookahead == 'h') ADVANCE(119);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_xml_DASHstylesheet);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 41, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 3},
  [3] = {.lex_state = 4, .external_lex_state = 3},
  [4] = {.lex_state = 4, .external_lex_state = 3},
  [5] = {.lex_state = 4, .external_lex_state = 3},
  [6] = {.lex_state = 41, .external_lex_state = 2},
  [7] = {.lex_state = 41, .external_lex_state = 2},
  [8] = {.lex_state = 41, .external_lex_state = 2},
  [9] = {.lex_state = 41, .external_lex_state = 2},
  [10] = {.lex_state = 41, .external_lex_state = 2},
  [11] = {.lex_state = 41, .external_lex_state = 2},
  [12] = {.lex_state = 41, .external_lex_state = 2},
  [13] = {.lex_state = 41, .external_lex_state = 2},
  [14] = {.lex_state = 41, .external_lex_state = 2},
  [15] = {.lex_state = 41, .external_lex_state = 2},
  [16] = {.lex_state = 41, .external_lex_state = 2},
  [17] = {.lex_state = 41, .external_lex_state = 2},
  [18] = {.lex_state = 41, .external_lex_state = 2},
  [19] = {.lex_state = 41, .external_lex_state = 2},
  [20] = {.lex_state = 4},
  [21] = {.lex_state = 41, .external_lex_state = 2},
  [22] = {.lex_state = 4},
  [23] = {.lex_state = 41},
  [24] = {.lex_state = 4},
  [25] = {.lex_state = 2},
  [26] = {.lex_state = 41},
  [27] = {.lex_state = 41},
  [28] = {.lex_state = 2},
  [29] = {.lex_state = 41, .external_lex_state = 2},
  [30] = {.lex_state = 41, .external_lex_state = 2},
  [31] = {.lex_state = 2},
  [32] = {.lex_state = 41, .external_lex_state = 2},
  [33] = {.lex_state = 41, .external_lex_state = 2},
  [34] = {.lex_state = 1},
  [35] = {.lex_state = 3},
  [36] = {.lex_state = 4, .external_lex_state = 3},
  [37] = {.lex_state = 41, .external_lex_state = 2},
  [38] = {.lex_state = 41, .external_lex_state = 2},
  [39] = {.lex_state = 3},
  [40] = {.lex_state = 41, .external_lex_state = 2},
  [41] = {.lex_state = 41, .external_lex_state = 2},
  [42] = {.lex_state = 4, .external_lex_state = 3},
  [43] = {.lex_state = 5},
  [44] = {.lex_state = 1},
  [45] = {.lex_state = 41, .external_lex_state = 2},
  [46] = {.lex_state = 41, .external_lex_state = 2},
  [47] = {.lex_state = 4, .external_lex_state = 3},
  [48] = {.lex_state = 5},
  [49] = {.lex_state = 4, .external_lex_state = 3},
  [50] = {.lex_state = 4, .external_lex_state = 3},
  [51] = {.lex_state = 4, .external_lex_state = 3},
  [52] = {.lex_state = 5},
  [53] = {.lex_state = 3},
  [54] = {.lex_state = 5},
  [55] = {.lex_state = 3},
  [56] = {.lex_state = 4, .external_lex_state = 3},
  [57] = {.lex_state = 4, .external_lex_state = 3},
  [58] = {.lex_state = 4, .external_lex_state = 3},
  [59] = {.lex_state = 4, .external_lex_state = 3},
  [60] = {.lex_state = 4, .external_lex_state = 3},
  [61] = {.lex_state = 41, .external_lex_state = 2},
  [62] = {.lex_state = 41, .external_lex_state = 2},
  [63] = {.lex_state = 4, .external_lex_state = 3},
  [64] = {.lex_state = 41, .external_lex_state = 2},
  [65] = {.lex_state = 4, .external_lex_state = 3},
  [66] = {.lex_state = 41},
  [67] = {.lex_state = 4, .external_lex_state = 3},
  [68] = {.lex_state = 4, .external_lex_state = 3},
  [69] = {.lex_state = 4, .external_lex_state = 3},
  [70] = {.lex_state = 41},
  [71] = {.lex_state = 41, .external_lex_state = 2},
  [72] = {.lex_state = 4, .external_lex_state = 3},
  [73] = {.lex_state = 41, .external_lex_state = 2},
  [74] = {.lex_state = 41},
  [75] = {.lex_state = 5},
  [76] = {.lex_state = 3},
  [77] = {.lex_state = 3},
  [78] = {.lex_state = 5},
  [79] = {.lex_state = 41},
  [80] = {.lex_state = 5},
  [81] = {.lex_state = 4, .external_lex_state = 3},
  [82] = {.lex_state = 41},
  [83] = {.lex_state = 3},
  [84] = {.lex_state = 41},
  [85] = {.lex_state = 41, .external_lex_state = 2},
  [86] = {.lex_state = 41},
  [87] = {.lex_state = 41},
  [88] = {.lex_state = 41},
  [89] = {.lex_state = 41},
  [90] = {.lex_state = 41},
  [91] = {.lex_state = 1},
  [92] = {.lex_state = 1},
  [93] = {.lex_state = 41},
  [94] = {.lex_state = 1},
  [95] = {.lex_state = 41},
  [96] = {.lex_state = 1},
  [97] = {.lex_state = 41},
  [98] = {.lex_state = 1},
  [99] = {.lex_state = 41},
  [100] = {.lex_state = 41},
  [101] = {.lex_state = 1},
  [102] = {.lex_state = 4},
  [103] = {.lex_state = 4},
  [104] = {.lex_state = 4},
  [105] = {.lex_state = 2},
  [106] = {.lex_state = 2},
  [107] = {.lex_state = 2},
  [108] = {.lex_state = 41, .external_lex_state = 2},
  [109] = {.lex_state = 2},
  [110] = {.lex_state = 4},
  [111] = {.lex_state = 41, .external_lex_state = 2},
  [112] = {.lex_state = 41, .external_lex_state = 2},
  [113] = {.lex_state = 41, .external_lex_state = 2},
  [114] = {.lex_state = 1},
  [115] = {.lex_state = 1},
  [116] = {.lex_state = 1},
  [117] = {.lex_state = 41, .external_lex_state = 2},
  [118] = {.lex_state = 41, .external_lex_state = 2},
  [119] = {.lex_state = 41, .external_lex_state = 2},
  [120] = {.lex_state = 1},
  [121] = {.lex_state = 1},
  [122] = {.lex_state = 1},
  [123] = {.lex_state = 1},
  [124] = {.lex_state = 41, .external_lex_state = 2},
  [125] = {.lex_state = 1},
  [126] = {.lex_state = 1},
  [127] = {.lex_state = 41},
  [128] = {.lex_state = 41},
  [129] = {.lex_state = 41, .external_lex_state = 2},
  [130] = {.lex_state = 41},
  [131] = {.lex_state = 41},
  [132] = {.lex_state = 41},
  [133] = {.lex_state = 41},
  [134] = {.lex_state = 41, .external_lex_state = 2},
  [135] = {.lex_state = 1},
  [136] = {.lex_state = 3},
  [137] = {.lex_state = 41},
  [138] = {.lex_state = 41},
  [139] = {.lex_state = 3},
  [140] = {.lex_state = 3},
  [141] = {.lex_state = 41},
  [142] = {.lex_state = 41},
  [143] = {.lex_state = 41},
  [144] = {.lex_state = 41},
  [145] = {.lex_state = 41, .external_lex_state = 2},
  [146] = {.lex_state = 5},
  [147] = {.lex_state = 5},
  [148] = {.lex_state = 5},
  [149] = {.lex_state = 41},
  [150] = {.lex_state = 41, .external_lex_state = 2},
  [151] = {.lex_state = 41, .external_lex_state = 2},
  [152] = {.lex_state = 41},
  [153] = {.lex_state = 1},
  [154] = {.lex_state = 41},
  [155] = {.lex_state = 41, .external_lex_state = 2},
  [156] = {.lex_state = 41},
  [157] = {.lex_state = 41, .external_lex_state = 2},
  [158] = {.lex_state = 41},
  [159] = {.lex_state = 41},
  [160] = {.lex_state = 41},
  [161] = {.lex_state = 41, .external_lex_state = 4},
  [162] = {.lex_state = 1, .external_lex_state = 4},
  [163] = {.lex_state = 41, .external_lex_state = 4},
  [164] = {.lex_state = 1, .external_lex_state = 4},
  [165] = {.lex_state = 41, .external_lex_state = 4},
  [166] = {.lex_state = 41, .external_lex_state = 2},
  [167] = {.lex_state = 1},
  [168] = {.lex_state = 41, .external_lex_state = 2},
  [169] = {.lex_state = 41},
  [170] = {.lex_state = 41},
  [171] = {.lex_state = 41, .external_lex_state = 2},
  [172] = {.lex_state = 41, .external_lex_state = 2},
  [173] = {.lex_state = 41, .external_lex_state = 2},
  [174] = {.lex_state = 1},
  [175] = {.lex_state = 41},
  [176] = {.lex_state = 1},
  [177] = {.lex_state = 41},
  [178] = {.lex_state = 41, .external_lex_state = 2},
  [179] = {.lex_state = 10},
  [180] = {.lex_state = 41},
  [181] = {.lex_state = 41},
  [182] = {.lex_state = 41, .external_lex_state = 2},
  [183] = {.lex_state = 41, .external_lex_state = 2},
  [184] = {.lex_state = 1, .external_lex_state = 4},
  [185] = {.lex_state = 41, .external_lex_state = 2},
  [186] = {.lex_state = 41, .external_lex_state = 2},
  [187] = {.lex_state = 41, .external_lex_state = 4},
  [188] = {.lex_state = 1},
  [189] = {.lex_state = 41, .external_lex_state = 2},
  [190] = {.lex_state = 1},
  [191] = {.lex_state = 0},
  [192] = {.lex_state = 1},
  [193] = {.lex_state = 41, .external_lex_state = 4},
  [194] = {.lex_state = 1, .external_lex_state = 4},
  [195] = {.lex_state = 1},
  [196] = {.lex_state = 41},
  [197] = {.lex_state = 1},
  [198] = {.lex_state = 41, .external_lex_state = 2},
  [199] = {.lex_state = 41},
  [200] = {.lex_state = 41},
  [201] = {.lex_state = 41},
  [202] = {.lex_state = 41},
  [203] = {.lex_state = 41},
  [204] = {.lex_state = 41},
  [205] = {.lex_state = 41},
  [206] = {.lex_state = 41, .external_lex_state = 2},
  [207] = {.lex_state = 41},
  [208] = {.lex_state = 41, .external_lex_state = 2},
  [209] = {.lex_state = 41},
  [210] = {.lex_state = 1},
  [211] = {.lex_state = 0},
  [212] = {.lex_state = 41, .external_lex_state = 2},
  [213] = {.lex_state = 41, .external_lex_state = 2},
  [214] = {.lex_state = 41},
  [215] = {.lex_state = 1, .external_lex_state = 5},
  [216] = {.lex_state = 1},
  [217] = {.lex_state = 41},
  [218] = {.lex_state = 41},
  [219] = {.lex_state = 41},
  [220] = {.lex_state = 41},
  [221] = {.lex_state = 10},
  [222] = {.lex_state = 41},
  [223] = {.lex_state = 41},
  [224] = {.lex_state = 10},
  [225] = {.lex_state = 10},
  [226] = {.lex_state = 10},
  [227] = {.lex_state = 41},
  [228] = {.lex_state = 10},
  [229] = {.lex_state = 41},
  [230] = {.lex_state = 41},
  [231] = {.lex_state = 41},
  [232] = {.lex_state = 1},
  [233] = {.lex_state = 41},
  [234] = {.lex_state = 1},
  [235] = {.lex_state = 41, .external_lex_state = 4},
  [236] = {.lex_state = 41},
  [237] = {.lex_state = 1},
  [238] = {.lex_state = 41, .external_lex_state = 4},
  [239] = {.lex_state = 41},
  [240] = {.lex_state = 41},
  [241] = {.lex_state = 41, .external_lex_state = 4},
  [242] = {.lex_state = 41},
  [243] = {.lex_state = 41},
  [244] = {.lex_state = 41},
  [245] = {.lex_state = 41},
  [246] = {.lex_state = 41},
  [247] = {.lex_state = 10},
  [248] = {.lex_state = 41},
  [249] = {.lex_state = 10},
  [250] = {.lex_state = 41},
  [251] = {.lex_state = 41},
  [252] = {.lex_state = 10},
  [253] = {.lex_state = 10},
  [254] = {.lex_state = 41},
  [255] = {.lex_state = 1},
  [256] = {.lex_state = 41},
  [257] = {.lex_state = 1},
  [258] = {.lex_state = 1},
  [259] = {.lex_state = 1},
  [260] = {.lex_state = 41},
  [261] = {.lex_state = 41},
  [262] = {.lex_state = 1},
  [263] = {.lex_state = 41},
  [264] = {.lex_state = 41},
  [265] = {.lex_state = 41},
  [266] = {.lex_state = 1},
  [267] = {.lex_state = 41},
  [268] = {.lex_state = 41},
  [269] = {.lex_state = 41, .external_lex_state = 4},
  [270] = {.lex_state = 41},
  [271] = {.lex_state = 41},
  [272] = {.lex_state = 41},
  [273] = {.lex_state = 1, .external_lex_state = 5},
  [274] = {.lex_state = 10},
  [275] = {.lex_state = 10},
  [276] = {.lex_state = 41},
  [277] = {.lex_state = 41},
  [278] = {.lex_state = 41},
  [279] = {.lex_state = 10},
  [280] = {.lex_state = 41},
  [281] = {.lex_state = 41},
  [282] = {.lex_state = 1},
  [283] = {.lex_state = 1},
  [284] = {.lex_state = 41},
  [285] = {.lex_state = 41},
  [286] = {.lex_state = 41},
  [287] = {.lex_state = 41},
  [288] = {.lex_state = 1},
  [289] = {.lex_state = 41},
  [290] = {.lex_state = 1},
  [291] = {.lex_state = 41},
  [292] = {.lex_state = 41},
  [293] = {.lex_state = 37},
  [294] = {.lex_state = 1},
  [295] = {.lex_state = 41},
  [296] = {.lex_state = 0},
  [297] = {.lex_state = 41},
  [298] = {.lex_state = 41},
  [299] = {.lex_state = 41},
  [300] = {.lex_state = 41},
  [301] = {.lex_state = 41},
  [302] = {.lex_state = 41},
  [303] = {.lex_state = 41},
  [304] = {.lex_state = 10},
  [305] = {.lex_state = 10},
  [306] = {.lex_state = 41},
  [307] = {.lex_state = 10},
  [308] = {.lex_state = 41},
  [309] = {.lex_state = 41},
  [310] = {.lex_state = 41},
  [311] = {.lex_state = 41},
  [312] = {.lex_state = 41},
  [313] = {.lex_state = 41},
  [314] = {.lex_state = 0},
  [315] = {.lex_state = 41},
  [316] = {.lex_state = 1, .external_lex_state = 6},
  [317] = {.lex_state = 10},
  [318] = {.lex_state = 41},
  [319] = {.lex_state = 41},
  [320] = {.lex_state = 41},
  [321] = {.lex_state = 41},
  [322] = {.lex_state = 41},
  [323] = {.lex_state = 41},
  [324] = {.lex_state = 41},
  [325] = {.lex_state = 41},
  [326] = {.lex_state = 41},
  [327] = {.lex_state = 41},
  [328] = {.lex_state = 1, .external_lex_state = 6},
  [329] = {.lex_state = 41},
  [330] = {.lex_state = 10},
  [331] = {.lex_state = 41},
  [332] = {.lex_state = 41},
  [333] = {.lex_state = 41},
  [334] = {.lex_state = 41},
  [335] = {.lex_state = 10},
  [336] = {.lex_state = 41},
  [337] = {.lex_state = 10},
  [338] = {.lex_state = 41},
  [339] = {.lex_state = 41},
  [340] = {.lex_state = 41},
  [341] = {.lex_state = 41},
  [342] = {.lex_state = 41},
  [343] = {.lex_state = 41},
  [344] = {.lex_state = 41},
  [345] = {.lex_state = 41},
  [346] = {.lex_state = 41},
  [347] = {.lex_state = 41},
  [348] = {.lex_state = 41},
  [349] = {.lex_state = 41},
  [350] = {.lex_state = 41},
  [351] = {.lex_state = 10},
  [352] = {.lex_state = 41},
  [353] = {.lex_state = 41},
  [354] = {.lex_state = 41},
  [355] = {.lex_state = 10},
  [356] = {.lex_state = 41},
  [357] = {.lex_state = 41},
  [358] = {.lex_state = 41},
  [359] = {.lex_state = 41},
  [360] = {.lex_state = 37},
  [361] = {.lex_state = 41},
  [362] = {.lex_state = 41},
  [363] = {.lex_state = 10},
  [364] = {.lex_state = 10},
  [365] = {.lex_state = 41},
  [366] = {.lex_state = 10},
  [367] = {.lex_state = 41},
  [368] = {.lex_state = 41},
  [369] = {.lex_state = 41},
  [370] = {.lex_state = 1},
  [371] = {.lex_state = 41},
  [372] = {.lex_state = 37},
  [373] = {.lex_state = 41},
  [374] = {.lex_state = 41},
  [375] = {.lex_state = 41},
  [376] = {.lex_state = 41},
  [377] = {.lex_state = 1},
  [378] = {.lex_state = 41},
  [379] = {.lex_state = 41},
  [380] = {.lex_state = 41},
  [381] = {.lex_state = 37},
  [382] = {.lex_state = 41},
  [383] = {.lex_state = 41},
  [384] = {.lex_state = 41},
  [385] = {.lex_state = 0},
  [386] = {.lex_state = 41},
  [387] = {.lex_state = 41},
  [388] = {.lex_state = 41},
  [389] = {.lex_state = 41},
  [390] = {.lex_state = 10},
  [391] = {.lex_state = 1},
  [392] = {.lex_state = 41},
  [393] = {.lex_state = 41},
  [394] = {.lex_state = 37},
  [395] = {.lex_state = 41},
  [396] = {.lex_state = 41},
  [397] = {.lex_state = 41},
  [398] = {.lex_state = 41},
  [399] = {.lex_state = 41},
  [400] = {.lex_state = 41},
  [401] = {.lex_state = 41},
  [402] = {.lex_state = 41},
  [403] = {.lex_state = 41},
  [404] = {.lex_state = 41},
  [405] = {.lex_state = 41},
  [406] = {.lex_state = 1},
  [407] = {.lex_state = 41},
  [408] = {.lex_state = 41},
  [409] = {.lex_state = 37},
  [410] = {.lex_state = 41},
  [411] = {.lex_state = 41},
  [412] = {.lex_state = 41},
  [413] = {.lex_state = 41},
  [414] = {.lex_state = 41},
  [415] = {.lex_state = 1},
  [416] = {.lex_state = 0, .external_lex_state = 7},
  [417] = {.lex_state = 41},
  [418] = {.lex_state = 41},
  [419] = {.lex_state = 41},
  [420] = {.lex_state = 41},
  [421] = {.lex_state = 41},
  [422] = {.lex_state = 41},
  [423] = {.lex_state = 41},
  [424] = {.lex_state = 131},
  [425] = {.lex_state = 130},
  [426] = {.lex_state = 129},
  [427] = {.lex_state = 128},
  [428] = {.lex_state = 41},
  [429] = {.lex_state = 41},
  [430] = {.lex_state = 41},
  [431] = {.lex_state = 41},
  [432] = {.lex_state = 10},
  [433] = {.lex_state = 41},
  [434] = {.lex_state = 0, .external_lex_state = 8},
  [435] = {.lex_state = 1},
  [436] = {.lex_state = 41},
  [437] = {.lex_state = 41},
  [438] = {.lex_state = 41},
  [439] = {.lex_state = 41},
  [440] = {.lex_state = 41},
  [441] = {.lex_state = 0, .external_lex_state = 9},
  [442] = {.lex_state = 0, .external_lex_state = 10},
  [443] = {.lex_state = 39},
  [444] = {.lex_state = 1},
  [445] = {.lex_state = 1},
  [446] = {.lex_state = 1},
  [447] = {.lex_state = 41},
  [448] = {.lex_state = 1},
  [449] = {.lex_state = 41},
  [450] = {.lex_state = 10},
  [451] = {.lex_state = 41},
  [452] = {.lex_state = 41},
  [453] = {.lex_state = 41},
  [454] = {.lex_state = 41},
  [455] = {.lex_state = 41},
  [456] = {.lex_state = 41},
  [457] = {.lex_state = 10},
  [458] = {.lex_state = 41},
  [459] = {.lex_state = 41},
  [460] = {.lex_state = 40},
  [461] = {.lex_state = 40},
  [462] = {.lex_state = 41},
  [463] = {.lex_state = 41},
  [464] = {.lex_state = 41},
  [465] = {.lex_state = 41},
  [466] = {.lex_state = 41},
  [467] = {.lex_state = 41},
  [468] = {.lex_state = 10},
  [469] = {.lex_state = 41},
  [470] = {.lex_state = 41},
  [471] = {.lex_state = 41},
  [472] = {.lex_state = 41},
  [473] = {.lex_state = 41},
  [474] = {.lex_state = 41},
  [475] = {.lex_state = 0, .external_lex_state = 7},
  [476] = {.lex_state = 1},
  [477] = {.lex_state = 1},
  [478] = {.lex_state = 39},
  [479] = {.lex_state = 0, .external_lex_state = 10},
  [480] = {.lex_state = 0, .external_lex_state = 9},
  [481] = {.lex_state = 0, .external_lex_state = 8},
  [482] = {.lex_state = 1},
  [483] = {.lex_state = 1},
  [484] = {.lex_state = 1},
  [485] = {.lex_state = 39},
  [486] = {.lex_state = 0, .external_lex_state = 8},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 1},
  [489] = {.lex_state = 1},
  [490] = {.lex_state = 39},
  [491] = {.lex_state = 1},
  [492] = {.lex_state = 1},
  [493] = {.lex_state = 1},
  [494] = {.lex_state = 39},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_Name] = ACTIONS(1),
    [anon_sym_LT_BANG_LBRACK] = ACTIONS(1),
    [anon_sym_IGNORE] = ACTIONS(1),
    [anon_sym_INCLUDE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK_RBRACK_GT] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_ELEMENT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_EMPTY] = ACTIONS(1),
    [anon_sym_ANY] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_POUNDPCDATA] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_ATTLIST] = ACTIONS(1),
    [anon_sym_CDATA] = ACTIONS(1),
    [sym_TokenizedType] = ACTIONS(1),
    [anon_sym_NOTATION] = ACTIONS(1),
    [anon_sym_POUNDREQUIRED] = ACTIONS(1),
    [anon_sym_POUNDIMPLIED] = ACTIONS(1),
    [anon_sym_POUNDFIXED] = ACTIONS(1),
    [anon_sym_ENTITY] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_EntityValue_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_EntityValue_token2] = ACTIONS(1),
    [anon_sym_NDATA] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym__S] = ACTIONS(1),
    [sym_Nmtoken] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_AMP_POUND] = ACTIONS(1),
    [aux_sym_CharRef_token1] = ACTIONS(1),
    [anon_sym_AMP_POUNDx] = ACTIONS(1),
    [aux_sym_CharRef_token2] = ACTIONS(1),
    [aux_sym_AttValue_token1] = ACTIONS(1),
    [aux_sym_AttValue_token2] = ACTIONS(1),
    [anon_sym_SYSTEM] = ACTIONS(1),
    [anon_sym_PUBLIC] = ACTIONS(1),
    [anon_sym_LT_QMARK] = ACTIONS(1),
    [anon_sym_xml] = ACTIONS(1),
    [anon_sym_version] = ACTIONS(1),
    [sym_VersionNum] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [sym_EncName] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_standalone] = ACTIONS(1),
    [anon_sym_yes] = ACTIONS(1),
    [anon_sym_no] = ACTIONS(1),
    [anon_sym_DOCTYPE] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_xml_DASHstylesheet] = ACTIONS(1),
    [anon_sym_xml_DASHmodel] = ACTIONS(1),
    [sym_PITarget] = ACTIONS(1),
    [sym__pi_content] = ACTIONS(1),
    [sym_Comment] = ACTIONS(1),
    [sym_CharData] = ACTIONS(1),
    [sym_CData] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym__erroneous_end_name] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(385),
    [sym_XMLDecl] = STATE(21),
    [sym_PI] = STATE(33),
    [sym_prolog] = STATE(191),
    [sym__Misc] = STATE(33),
    [sym_doctypedecl] = STATE(41),
    [sym_element] = STATE(40),
    [sym_EmptyElemTag] = STATE(172),
    [sym_STag] = STATE(3),
    [sym_StyleSheetPI] = STATE(33),
    [sym_XmlModelPI] = STATE(33),
    [aux_sym_document_repeat1] = STATE(33),
    [anon_sym_LT_BANG] = ACTIONS(3),
    [sym__S] = ACTIONS(5),
    [anon_sym_LT_QMARK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(9),
    [sym_Comment] = ACTIONS(11),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 15,
    ACTIONS(13), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(15), 1,
      anon_sym_AMP,
    ACTIONS(17), 1,
      anon_sym_AMP_POUND,
    ACTIONS(19), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(21), 1,
      anon_sym_LT_QMARK,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_LT_SLASH,
    STATE(2), 1,
      sym_STag,
    STATE(63), 1,
      sym_ETag,
    STATE(65), 1,
      sym_EmptyElemTag,
    STATE(296), 1,
      sym_content,
    STATE(316), 1,
      sym_CDStart,
    ACTIONS(27), 2,
      sym_Comment,
      sym_CharData,
    STATE(42), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(5), 5,
      sym__Reference,
      sym_PI,
      sym_element,
      sym_CDSect,
      aux_sym_content_repeat1,
  [52] = 15,
    ACTIONS(13), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(15), 1,
      anon_sym_AMP,
    ACTIONS(17), 1,
      anon_sym_AMP_POUND,
    ACTIONS(19), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(21), 1,
      anon_sym_LT_QMARK,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(29), 1,
      anon_sym_LT_SLASH,
    STATE(2), 1,
      sym_STag,
    STATE(65), 1,
      sym_EmptyElemTag,
    STATE(173), 1,
      sym_ETag,
    STATE(314), 1,
      sym_content,
    STATE(316), 1,
      sym_CDStart,
    ACTIONS(27), 2,
      sym_Comment,
      sym_CharData,
    STATE(42), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(5), 5,
      sym__Reference,
      sym_PI,
      sym_element,
      sym_CDSect,
      aux_sym_content_repeat1,
  [104] = 13,
    ACTIONS(31), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(34), 1,
      anon_sym_AMP,
    ACTIONS(37), 1,
      anon_sym_AMP_POUND,
    ACTIONS(40), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(43), 1,
      anon_sym_LT_QMARK,
    ACTIONS(46), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LT_SLASH,
    STATE(2), 1,
      sym_STag,
    STATE(65), 1,
      sym_EmptyElemTag,
    STATE(316), 1,
      sym_CDStart,
    ACTIONS(51), 2,
      sym_Comment,
      sym_CharData,
    STATE(42), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(4), 5,
      sym__Reference,
      sym_PI,
      sym_element,
      sym_CDSect,
      aux_sym_content_repeat1,
  [150] = 13,
    ACTIONS(13), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(15), 1,
      anon_sym_AMP,
    ACTIONS(17), 1,
      anon_sym_AMP_POUND,
    ACTIONS(19), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(21), 1,
      anon_sym_LT_QMARK,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(54), 1,
      anon_sym_LT_SLASH,
    STATE(2), 1,
      sym_STag,
    STATE(65), 1,
      sym_EmptyElemTag,
    STATE(316), 1,
      sym_CDStart,
    ACTIONS(56), 2,
      sym_Comment,
      sym_CharData,
    STATE(42), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(4), 5,
      sym__Reference,
      sym_PI,
      sym_element,
      sym_CDSect,
      aux_sym_content_repeat1,
  [196] = 11,
    ACTIONS(3), 1,
      anon_sym_LT_BANG,
    ACTIONS(7), 1,
      anon_sym_LT_QMARK,
    ACTIONS(9), 1,
      anon_sym_LT,
    STATE(3), 1,
      sym_STag,
    STATE(21), 1,
      sym_XMLDecl,
    STATE(41), 1,
      sym_doctypedecl,
    STATE(64), 1,
      sym_element,
    STATE(172), 1,
      sym_EmptyElemTag,
    STATE(211), 1,
      sym_prolog,
    ACTIONS(11), 2,
      sym_Comment,
      sym__S,
    STATE(33), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [235] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(60), 1,
      sym__S,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(64), 1,
      anon_sym_RBRACK,
    ACTIONS(66), 1,
      sym_Comment,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(170), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [268] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(60), 1,
      sym__S,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(68), 1,
      anon_sym_RBRACK,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(170), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [301] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(70), 1,
      sym__S,
    ACTIONS(72), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      aux_sym__intSubset,
    STATE(170), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [334] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(60), 1,
      sym__S,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(72), 1,
      anon_sym_RBRACK,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(170), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [367] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(74), 1,
      sym__S,
    ACTIONS(76), 1,
      anon_sym_RBRACK,
    STATE(10), 1,
      aux_sym__intSubset,
    STATE(170), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [400] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(60), 1,
      sym__S,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(76), 1,
      anon_sym_RBRACK,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(170), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [433] = 9,
    ACTIONS(78), 1,
      anon_sym_LT_BANG,
    ACTIONS(81), 1,
      sym__S,
    ACTIONS(84), 1,
      anon_sym_LT_QMARK,
    ACTIONS(87), 1,
      anon_sym_RBRACK,
    ACTIONS(89), 1,
      sym_Comment,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(170), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [466] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(92), 1,
      sym__S,
    ACTIONS(94), 1,
      anon_sym_RBRACK,
    STATE(7), 1,
      aux_sym__intSubset,
    STATE(170), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [499] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(64), 1,
      anon_sym_RBRACK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(96), 1,
      sym__S,
    STATE(12), 1,
      aux_sym__intSubset,
    STATE(170), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [532] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(68), 1,
      anon_sym_RBRACK,
    STATE(199), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [559] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(72), 1,
      anon_sym_RBRACK,
    STATE(199), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [586] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(76), 1,
      anon_sym_RBRACK,
    STATE(199), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [613] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(64), 1,
      anon_sym_RBRACK,
    ACTIONS(66), 1,
      sym_Comment,
    STATE(199), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [640] = 8,
    ACTIONS(98), 1,
      anon_sym_PERCENT,
    ACTIONS(100), 1,
      anon_sym_SQUOTE,
    ACTIONS(102), 1,
      aux_sym_EntityValue_token2,
    ACTIONS(104), 1,
      anon_sym_AMP,
    ACTIONS(106), 1,
      anon_sym_AMP_POUND,
    ACTIONS(108), 1,
      anon_sym_AMP_POUNDx,
    STATE(103), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(24), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat2,
  [668] = 6,
    ACTIONS(3), 1,
      anon_sym_LT_BANG,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(114), 1,
      anon_sym_LT,
    STATE(85), 1,
      sym_doctypedecl,
    ACTIONS(110), 2,
      sym_Comment,
      sym__S,
    STATE(30), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [692] = 8,
    ACTIONS(116), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_SQUOTE,
    ACTIONS(121), 1,
      aux_sym_EntityValue_token2,
    ACTIONS(124), 1,
      anon_sym_AMP,
    ACTIONS(127), 1,
      anon_sym_AMP_POUND,
    ACTIONS(130), 1,
      anon_sym_AMP_POUNDx,
    STATE(103), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(22), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat2,
  [720] = 5,
    STATE(99), 1,
      aux_sym_Mixed_repeat1,
    STATE(177), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
    ACTIONS(135), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
    ACTIONS(133), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [742] = 8,
    ACTIONS(98), 1,
      anon_sym_PERCENT,
    ACTIONS(104), 1,
      anon_sym_AMP,
    ACTIONS(106), 1,
      anon_sym_AMP_POUND,
    ACTIONS(108), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(137), 1,
      anon_sym_SQUOTE,
    ACTIONS(139), 1,
      aux_sym_EntityValue_token2,
    STATE(103), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(22), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat2,
  [770] = 8,
    ACTIONS(137), 1,
      anon_sym_DQUOTE,
    ACTIONS(141), 1,
      anon_sym_PERCENT,
    ACTIONS(143), 1,
      aux_sym_EntityValue_token1,
    ACTIONS(145), 1,
      anon_sym_AMP,
    ACTIONS(147), 1,
      anon_sym_AMP_POUND,
    ACTIONS(149), 1,
      anon_sym_AMP_POUNDx,
    STATE(107), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(31), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat1,
  [798] = 5,
    STATE(95), 1,
      aux_sym_Mixed_repeat1,
    STATE(169), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
    ACTIONS(135), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
    ACTIONS(133), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [820] = 8,
    ACTIONS(151), 1,
      anon_sym_LPAREN,
    ACTIONS(153), 1,
      anon_sym_CDATA,
    ACTIONS(155), 1,
      sym_TokenizedType,
    ACTIONS(157), 1,
      anon_sym_NOTATION,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    STATE(297), 1,
      sym__AttType,
    STATE(298), 2,
      sym_NotationType,
      sym_Enumeration,
    STATE(295), 3,
      sym_StringType,
      sym__EnumeratedType,
      sym_PEReference,
  [848] = 8,
    ACTIONS(100), 1,
      anon_sym_DQUOTE,
    ACTIONS(141), 1,
      anon_sym_PERCENT,
    ACTIONS(145), 1,
      anon_sym_AMP,
    ACTIONS(147), 1,
      anon_sym_AMP_POUND,
    ACTIONS(149), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(161), 1,
      aux_sym_EntityValue_token1,
    STATE(107), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(25), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat1,
  [876] = 6,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    STATE(199), 1,
      sym__markupdecl,
    STATE(285), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(287), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [900] = 6,
    ACTIONS(3), 1,
      anon_sym_LT_BANG,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(165), 1,
      anon_sym_LT,
    STATE(62), 1,
      sym_doctypedecl,
    ACTIONS(163), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [924] = 8,
    ACTIONS(167), 1,
      anon_sym_PERCENT,
    ACTIONS(170), 1,
      anon_sym_DQUOTE,
    ACTIONS(172), 1,
      aux_sym_EntityValue_token1,
    ACTIONS(175), 1,
      anon_sym_AMP,
    ACTIONS(178), 1,
      anon_sym_AMP_POUND,
    ACTIONS(181), 1,
      anon_sym_AMP_POUNDx,
    STATE(107), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(31), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat1,
  [952] = 5,
    ACTIONS(189), 1,
      anon_sym_LT_QMARK,
    ACTIONS(192), 1,
      anon_sym_LT,
    ACTIONS(184), 2,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
    ACTIONS(186), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [974] = 6,
    ACTIONS(3), 1,
      anon_sym_LT_BANG,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(114), 1,
      anon_sym_LT,
    STATE(85), 1,
      sym_doctypedecl,
    ACTIONS(163), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [998] = 1,
    ACTIONS(194), 10,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
      sym_Name,
  [1011] = 7,
    ACTIONS(196), 1,
      anon_sym_DQUOTE,
    ACTIONS(198), 1,
      anon_sym_AMP,
    ACTIONS(201), 1,
      anon_sym_AMP_POUND,
    ACTIONS(204), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(207), 1,
      aux_sym_AttValue_token1,
    STATE(35), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(136), 2,
      sym_EntityRef,
      sym_CharRef,
  [1035] = 2,
    ACTIONS(212), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(210), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1049] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(165), 1,
      anon_sym_LT,
    ACTIONS(163), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1067] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(214), 1,
      ts_builtin_sym_end,
    ACTIONS(163), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1085] = 7,
    ACTIONS(216), 1,
      anon_sym_DQUOTE,
    ACTIONS(218), 1,
      anon_sym_AMP,
    ACTIONS(220), 1,
      anon_sym_AMP_POUND,
    ACTIONS(222), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(224), 1,
      aux_sym_AttValue_token1,
    STATE(35), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(136), 2,
      sym_EntityRef,
      sym_CharRef,
  [1109] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(226), 1,
      ts_builtin_sym_end,
    ACTIONS(228), 2,
      sym_Comment,
      sym__S,
    STATE(38), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1127] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(114), 1,
      anon_sym_LT,
    ACTIONS(230), 2,
      sym_Comment,
      sym__S,
    STATE(37), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1145] = 2,
    ACTIONS(234), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(232), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1159] = 7,
    ACTIONS(236), 1,
      anon_sym_SQUOTE,
    ACTIONS(238), 1,
      anon_sym_AMP,
    ACTIONS(241), 1,
      anon_sym_AMP_POUND,
    ACTIONS(244), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(247), 1,
      aux_sym_AttValue_token2,
    STATE(43), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(146), 2,
      sym_EntityRef,
      sym_CharRef,
  [1183] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(252), 1,
      anon_sym_LPAREN,
    STATE(138), 1,
      sym__choice,
    STATE(345), 1,
      sym_contentspec,
    ACTIONS(250), 2,
      anon_sym_EMPTY,
      anon_sym_ANY,
    STATE(349), 3,
      sym_Mixed,
      sym_children,
      sym_PEReference,
  [1205] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(254), 1,
      ts_builtin_sym_end,
    ACTIONS(256), 2,
      sym_Comment,
      sym__S,
    STATE(71), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1223] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(258), 1,
      ts_builtin_sym_end,
    ACTIONS(163), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1241] = 2,
    ACTIONS(262), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(260), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1255] = 7,
    ACTIONS(264), 1,
      anon_sym_SQUOTE,
    ACTIONS(266), 1,
      anon_sym_AMP,
    ACTIONS(268), 1,
      anon_sym_AMP_POUND,
    ACTIONS(270), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(272), 1,
      aux_sym_AttValue_token2,
    STATE(43), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(146), 2,
      sym_EntityRef,
      sym_CharRef,
  [1279] = 2,
    ACTIONS(276), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(274), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1293] = 2,
    ACTIONS(280), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(278), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1307] = 2,
    ACTIONS(284), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(282), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1321] = 7,
    ACTIONS(266), 1,
      anon_sym_AMP,
    ACTIONS(268), 1,
      anon_sym_AMP_POUND,
    ACTIONS(270), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(286), 1,
      anon_sym_SQUOTE,
    ACTIONS(288), 1,
      aux_sym_AttValue_token2,
    STATE(80), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(146), 2,
      sym_EntityRef,
      sym_CharRef,
  [1345] = 7,
    ACTIONS(218), 1,
      anon_sym_AMP,
    ACTIONS(220), 1,
      anon_sym_AMP_POUND,
    ACTIONS(222), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(286), 1,
      anon_sym_DQUOTE,
    ACTIONS(290), 1,
      aux_sym_AttValue_token1,
    STATE(76), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(136), 2,
      sym_EntityRef,
      sym_CharRef,
  [1369] = 7,
    ACTIONS(266), 1,
      anon_sym_AMP,
    ACTIONS(268), 1,
      anon_sym_AMP_POUND,
    ACTIONS(270), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(292), 1,
      anon_sym_SQUOTE,
    ACTIONS(294), 1,
      aux_sym_AttValue_token2,
    STATE(75), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(146), 2,
      sym_EntityRef,
      sym_CharRef,
  [1393] = 7,
    ACTIONS(218), 1,
      anon_sym_AMP,
    ACTIONS(220), 1,
      anon_sym_AMP_POUND,
    ACTIONS(222), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(292), 1,
      anon_sym_DQUOTE,
    ACTIONS(296), 1,
      aux_sym_AttValue_token1,
    STATE(39), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(136), 2,
      sym_EntityRef,
      sym_CharRef,
  [1417] = 2,
    ACTIONS(300), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(298), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1431] = 2,
    ACTIONS(304), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(302), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1445] = 2,
    ACTIONS(308), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(306), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1459] = 2,
    ACTIONS(312), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(310), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1473] = 2,
    ACTIONS(316), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(314), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1487] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(318), 1,
      anon_sym_LT,
    ACTIONS(163), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1505] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(318), 1,
      anon_sym_LT,
    ACTIONS(320), 2,
      sym_Comment,
      sym__S,
    STATE(73), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1523] = 2,
    ACTIONS(324), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(322), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1537] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(326), 1,
      ts_builtin_sym_end,
    ACTIONS(328), 2,
      sym_Comment,
      sym__S,
    STATE(46), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1555] = 2,
    ACTIONS(332), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(330), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1569] = 1,
    ACTIONS(334), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1581] = 2,
    ACTIONS(338), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(336), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1595] = 2,
    ACTIONS(342), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(340), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1609] = 2,
    ACTIONS(346), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(344), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1623] = 1,
    ACTIONS(348), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1635] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(350), 1,
      ts_builtin_sym_end,
    ACTIONS(163), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1653] = 2,
    ACTIONS(354), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(352), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1667] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(356), 1,
      anon_sym_LT,
    ACTIONS(163), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1685] = 1,
    ACTIONS(358), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1697] = 7,
    ACTIONS(216), 1,
      anon_sym_SQUOTE,
    ACTIONS(266), 1,
      anon_sym_AMP,
    ACTIONS(268), 1,
      anon_sym_AMP_POUND,
    ACTIONS(270), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(272), 1,
      aux_sym_AttValue_token2,
    STATE(43), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(146), 2,
      sym_EntityRef,
      sym_CharRef,
  [1721] = 7,
    ACTIONS(218), 1,
      anon_sym_AMP,
    ACTIONS(220), 1,
      anon_sym_AMP_POUND,
    ACTIONS(222), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(224), 1,
      aux_sym_AttValue_token1,
    ACTIONS(360), 1,
      anon_sym_DQUOTE,
    STATE(35), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(136), 2,
      sym_EntityRef,
      sym_CharRef,
  [1745] = 7,
    ACTIONS(218), 1,
      anon_sym_AMP,
    ACTIONS(220), 1,
      anon_sym_AMP_POUND,
    ACTIONS(222), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(362), 1,
      anon_sym_DQUOTE,
    ACTIONS(364), 1,
      aux_sym_AttValue_token1,
    STATE(83), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(136), 2,
      sym_EntityRef,
      sym_CharRef,
  [1769] = 7,
    ACTIONS(266), 1,
      anon_sym_AMP,
    ACTIONS(268), 1,
      anon_sym_AMP_POUND,
    ACTIONS(270), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(362), 1,
      anon_sym_SQUOTE,
    ACTIONS(366), 1,
      aux_sym_AttValue_token2,
    STATE(48), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(146), 2,
      sym_EntityRef,
      sym_CharRef,
  [1793] = 1,
    ACTIONS(368), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1805] = 7,
    ACTIONS(266), 1,
      anon_sym_AMP,
    ACTIONS(268), 1,
      anon_sym_AMP_POUND,
    ACTIONS(270), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(272), 1,
      aux_sym_AttValue_token2,
    ACTIONS(360), 1,
      anon_sym_SQUOTE,
    STATE(43), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(146), 2,
      sym_EntityRef,
      sym_CharRef,
  [1829] = 2,
    ACTIONS(372), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(370), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
  [1843] = 1,
    ACTIONS(374), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1855] = 7,
    ACTIONS(218), 1,
      anon_sym_AMP,
    ACTIONS(220), 1,
      anon_sym_AMP_POUND,
    ACTIONS(222), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(224), 1,
      aux_sym_AttValue_token1,
    ACTIONS(264), 1,
      anon_sym_DQUOTE,
    STATE(35), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(136), 2,
      sym_EntityRef,
      sym_CharRef,
  [1879] = 7,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(378), 1,
      anon_sym_POUNDFIXED,
    ACTIONS(380), 1,
      anon_sym_DQUOTE,
    ACTIONS(382), 1,
      anon_sym_SQUOTE,
    STATE(367), 1,
      sym_DefaultDecl,
    ACTIONS(376), 2,
      anon_sym_POUNDREQUIRED,
      anon_sym_POUNDIMPLIED,
    STATE(365), 2,
      sym_PEReference,
      sym_AttValue,
  [1903] = 4,
    ACTIONS(112), 1,
      anon_sym_LT_QMARK,
    ACTIONS(165), 1,
      anon_sym_LT,
    ACTIONS(384), 2,
      sym_Comment,
      sym__S,
    STATE(61), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1921] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    ACTIONS(390), 1,
      sym__S,
    STATE(90), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(144), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [1942] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(392), 1,
      anon_sym_RPAREN,
    ACTIONS(394), 1,
      sym__S,
    STATE(88), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(152), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [1963] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    ACTIONS(390), 1,
      sym__S,
    STATE(100), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(144), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [1984] = 2,
    ACTIONS(135), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
    ACTIONS(133), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1997] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    ACTIONS(398), 1,
      sym__S,
    STATE(100), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(133), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2018] = 8,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_POUNDPCDATA,
    ACTIONS(406), 1,
      sym__S,
    STATE(26), 1,
      sym_PEReference,
    STATE(87), 1,
      sym__cp,
    STATE(89), 1,
      sym__choice,
  [2043] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(408), 1,
      sym__S,
    STATE(127), 1,
      sym__cp,
    STATE(89), 2,
      sym__choice,
      sym_PEReference,
  [2063] = 7,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(410), 1,
      anon_sym_PIPE,
    ACTIONS(412), 1,
      anon_sym_RPAREN,
    ACTIONS(414), 1,
      sym__S,
    STATE(99), 1,
      aux_sym_Mixed_repeat1,
    STATE(177), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [2085] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(416), 1,
      sym__S,
    STATE(142), 1,
      sym__cp,
    STATE(89), 2,
      sym__choice,
      sym_PEReference,
  [2105] = 7,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(410), 1,
      anon_sym_PIPE,
    ACTIONS(418), 1,
      anon_sym_RPAREN,
    ACTIONS(420), 1,
      sym__S,
    STATE(156), 1,
      aux_sym_Mixed_repeat1,
    STATE(180), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [2127] = 7,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(422), 1,
      anon_sym_POUNDPCDATA,
    STATE(23), 1,
      sym_PEReference,
    STATE(86), 1,
      sym__cp,
    STATE(89), 1,
      sym__choice,
  [2149] = 7,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(410), 1,
      anon_sym_PIPE,
    ACTIONS(424), 1,
      anon_sym_RPAREN,
    ACTIONS(426), 1,
      sym__S,
    STATE(95), 1,
      aux_sym_Mixed_repeat1,
    STATE(169), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [2171] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(428), 1,
      sym__S,
    STATE(87), 1,
      sym__cp,
    STATE(89), 2,
      sym__choice,
      sym_PEReference,
  [2191] = 7,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(410), 1,
      anon_sym_PIPE,
    ACTIONS(430), 1,
      anon_sym_RPAREN,
    ACTIONS(432), 1,
      sym__S,
    STATE(156), 1,
      aux_sym_Mixed_repeat1,
    STATE(203), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [2213] = 4,
    ACTIONS(439), 1,
      sym__S,
    STATE(100), 1,
      aux_sym__choice_repeat1,
    ACTIONS(434), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    ACTIONS(437), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [2228] = 5,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    STATE(130), 1,
      sym__cp,
    STATE(89), 2,
      sym__choice,
      sym_PEReference,
  [2245] = 2,
    ACTIONS(354), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(352), 4,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2256] = 2,
    ACTIONS(234), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(232), 4,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2267] = 2,
    ACTIONS(442), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(194), 4,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2278] = 2,
    ACTIONS(342), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(340), 4,
      anon_sym_PERCENT,
      anon_sym_DQUOTE,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2289] = 2,
    ACTIONS(354), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(352), 4,
      anon_sym_PERCENT,
      anon_sym_DQUOTE,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2300] = 2,
    ACTIONS(234), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(232), 4,
      anon_sym_PERCENT,
      anon_sym_DQUOTE,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2311] = 2,
    ACTIONS(280), 1,
      anon_sym_LT,
    ACTIONS(278), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2322] = 2,
    ACTIONS(442), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(194), 4,
      anon_sym_PERCENT,
      anon_sym_DQUOTE,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2333] = 2,
    ACTIONS(342), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(340), 4,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2344] = 2,
    ACTIONS(446), 1,
      anon_sym_LT,
    ACTIONS(444), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2355] = 2,
    ACTIONS(316), 1,
      anon_sym_LT,
    ACTIONS(314), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2366] = 2,
    ACTIONS(450), 1,
      anon_sym_LT,
    ACTIONS(448), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2377] = 5,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    STATE(142), 1,
      sym__cp,
    STATE(89), 2,
      sym__choice,
      sym_PEReference,
  [2394] = 5,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(452), 1,
      anon_sym_SYSTEM,
    ACTIONS(454), 1,
      anon_sym_PUBLIC,
    STATE(412), 1,
      sym_PEReference,
    STATE(332), 2,
      sym_ExternalID,
      sym_PublicID,
  [2411] = 6,
    ACTIONS(452), 1,
      anon_sym_SYSTEM,
    ACTIONS(456), 1,
      anon_sym_DQUOTE,
    ACTIONS(458), 1,
      anon_sym_SQUOTE,
    ACTIONS(460), 1,
      anon_sym_PUBLIC,
    STATE(248), 1,
      sym_ExternalID,
    STATE(327), 1,
      sym_EntityValue,
  [2430] = 2,
    ACTIONS(464), 1,
      anon_sym_LT,
    ACTIONS(462), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2441] = 2,
    ACTIONS(468), 1,
      anon_sym_LT,
    ACTIONS(466), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2452] = 2,
    ACTIONS(472), 1,
      anon_sym_LT,
    ACTIONS(470), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2463] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(474), 1,
      sym_Name,
    ACTIONS(476), 1,
      anon_sym_PIPE,
    ACTIONS(478), 1,
      sym__S,
    STATE(135), 1,
      aux_sym_NotationType_repeat1,
    STATE(331), 1,
      sym_PEReference,
  [2482] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(476), 1,
      anon_sym_PIPE,
    ACTIONS(478), 1,
      sym__S,
    ACTIONS(480), 1,
      sym_Name,
    STATE(135), 1,
      aux_sym_NotationType_repeat1,
    STATE(336), 1,
      sym_PEReference,
  [2501] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(476), 1,
      anon_sym_PIPE,
    ACTIONS(478), 1,
      sym__S,
    ACTIONS(482), 1,
      sym_Name,
    STATE(121), 1,
      aux_sym_NotationType_repeat1,
    STATE(347), 1,
      sym_PEReference,
  [2520] = 5,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    STATE(86), 1,
      sym__cp,
    STATE(89), 2,
      sym__choice,
      sym_PEReference,
  [2537] = 2,
    ACTIONS(486), 1,
      anon_sym_LT,
    ACTIONS(484), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2548] = 6,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(476), 1,
      anon_sym_PIPE,
    ACTIONS(478), 1,
      sym__S,
    ACTIONS(480), 1,
      sym_Name,
    STATE(120), 1,
      aux_sym_NotationType_repeat1,
    STATE(336), 1,
      sym_PEReference,
  [2567] = 5,
    ACTIONS(452), 1,
      anon_sym_SYSTEM,
    ACTIONS(456), 1,
      anon_sym_DQUOTE,
    ACTIONS(458), 1,
      anon_sym_SQUOTE,
    ACTIONS(460), 1,
      anon_sym_PUBLIC,
    STATE(302), 2,
      sym_EntityValue,
      sym_ExternalID,
  [2584] = 1,
    ACTIONS(437), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2592] = 1,
    ACTIONS(488), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2600] = 2,
    ACTIONS(492), 1,
      anon_sym_LT,
    ACTIONS(490), 4,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2610] = 1,
    ACTIONS(494), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2618] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    STATE(244), 1,
      sym_PEReference,
    ACTIONS(496), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [2632] = 5,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(412), 1,
      anon_sym_RPAREN,
    ACTIONS(498), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [2648] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(500), 1,
      anon_sym_RPAREN,
    ACTIONS(502), 1,
      sym__S,
    STATE(143), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2662] = 2,
    ACTIONS(506), 1,
      anon_sym_LT,
    ACTIONS(504), 4,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2672] = 4,
    ACTIONS(510), 1,
      anon_sym_PIPE,
    ACTIONS(513), 1,
      sym__S,
    STATE(135), 1,
      aux_sym_NotationType_repeat1,
    ACTIONS(508), 2,
      anon_sym_PERCENT,
      sym_Name,
  [2686] = 2,
    ACTIONS(234), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(232), 3,
      anon_sym_DQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token1,
  [2696] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(500), 1,
      anon_sym_RPAREN,
    STATE(244), 1,
      sym_PEReference,
    ACTIONS(496), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [2710] = 2,
    ACTIONS(516), 2,
      anon_sym_GT,
      sym__S,
    ACTIONS(518), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
  [2720] = 2,
    ACTIONS(354), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(352), 3,
      anon_sym_DQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token1,
  [2730] = 2,
    ACTIONS(342), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(340), 3,
      anon_sym_DQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token1,
  [2740] = 5,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(498), 1,
      anon_sym_PIPE,
    ACTIONS(520), 1,
      anon_sym_RPAREN,
    STATE(159), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [2756] = 1,
    ACTIONS(522), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2764] = 4,
    ACTIONS(524), 1,
      anon_sym_RPAREN,
    ACTIONS(526), 1,
      anon_sym_PERCENT,
    ACTIONS(529), 1,
      sym__S,
    STATE(143), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2778] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    ACTIONS(532), 1,
      sym__S,
    STATE(143), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2792] = 1,
    ACTIONS(194), 5,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
      anon_sym_RBRACK,
  [2800] = 2,
    ACTIONS(234), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(232), 3,
      anon_sym_SQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token2,
  [2810] = 2,
    ACTIONS(354), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(352), 3,
      anon_sym_SQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token2,
  [2820] = 2,
    ACTIONS(342), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(340), 3,
      anon_sym_SQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token2,
  [2830] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    STATE(244), 1,
      sym_PEReference,
    ACTIONS(496), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [2844] = 1,
    ACTIONS(534), 5,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
      anon_sym_RBRACK,
  [2852] = 1,
    ACTIONS(87), 5,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
      anon_sym_RBRACK,
  [2860] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    ACTIONS(536), 1,
      sym__S,
    STATE(143), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2874] = 5,
    ACTIONS(452), 1,
      anon_sym_SYSTEM,
    ACTIONS(460), 1,
      anon_sym_PUBLIC,
    ACTIONS(538), 1,
      anon_sym_LBRACK,
    ACTIONS(540), 1,
      anon_sym_GT,
    STATE(267), 1,
      sym_ExternalID,
  [2890] = 5,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(430), 1,
      anon_sym_RPAREN,
    ACTIONS(498), 1,
      anon_sym_PIPE,
    STATE(203), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [2906] = 2,
    ACTIONS(544), 1,
      anon_sym_LT,
    ACTIONS(542), 4,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2916] = 4,
    ACTIONS(546), 1,
      anon_sym_PIPE,
    ACTIONS(551), 1,
      sym__S,
    STATE(156), 1,
      aux_sym_Mixed_repeat1,
    ACTIONS(549), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [2930] = 2,
    ACTIONS(556), 1,
      anon_sym_LT,
    ACTIONS(554), 4,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2940] = 5,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(498), 1,
      anon_sym_PIPE,
    ACTIONS(558), 1,
      anon_sym_RPAREN,
    STATE(205), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [2956] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(560), 1,
      anon_sym_RPAREN,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [2969] = 4,
    ACTIONS(562), 1,
      anon_sym_PIPE,
    ACTIONS(564), 1,
      anon_sym_RPAREN,
    ACTIONS(566), 1,
      sym__S,
    STATE(207), 1,
      aux_sym_Enumeration_repeat1,
  [2982] = 4,
    ACTIONS(568), 1,
      anon_sym_GT,
    ACTIONS(570), 1,
      sym__S,
    ACTIONS(572), 1,
      anon_sym_SLASH_GT,
    STATE(187), 1,
      aux_sym_EmptyElemTag_repeat1,
  [2995] = 4,
    ACTIONS(574), 1,
      sym_Name,
    ACTIONS(576), 1,
      anon_sym_GT,
    ACTIONS(578), 1,
      anon_sym_SLASH_GT,
    STATE(241), 1,
      sym_Attribute,
  [3008] = 4,
    ACTIONS(580), 1,
      anon_sym_GT,
    ACTIONS(582), 1,
      sym__S,
    ACTIONS(584), 1,
      anon_sym_SLASH_GT,
    STATE(193), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3021] = 4,
    ACTIONS(574), 1,
      sym_Name,
    ACTIONS(580), 1,
      anon_sym_GT,
    ACTIONS(584), 1,
      anon_sym_SLASH_GT,
    STATE(241), 1,
      sym_Attribute,
  [3034] = 4,
    ACTIONS(568), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      sym__S,
    ACTIONS(588), 1,
      anon_sym_SLASH_GT,
    STATE(163), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3047] = 2,
    ACTIONS(592), 1,
      anon_sym_LT,
    ACTIONS(590), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3056] = 4,
    ACTIONS(594), 1,
      anon_sym_ELEMENT,
    ACTIONS(596), 1,
      anon_sym_ATTLIST,
    ACTIONS(598), 1,
      anon_sym_NOTATION,
    ACTIONS(600), 1,
      anon_sym_ENTITY,
  [3069] = 1,
    ACTIONS(260), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3076] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(412), 1,
      anon_sym_RPAREN,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [3089] = 3,
    ACTIONS(602), 1,
      anon_sym_PERCENT,
    ACTIONS(604), 1,
      sym__S,
    STATE(151), 2,
      sym__DeclSep,
      sym_PEReference,
  [3100] = 1,
    ACTIONS(274), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3107] = 1,
    ACTIONS(330), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3114] = 1,
    ACTIONS(322), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3121] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(606), 1,
      sym_Name,
    ACTIONS(608), 1,
      sym__S,
    STATE(175), 1,
      sym_PEReference,
  [3134] = 1,
    ACTIONS(549), 4,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3141] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(610), 1,
      sym_Name,
    ACTIONS(612), 1,
      sym__S,
    STATE(201), 1,
      sym_PEReference,
  [3154] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(558), 1,
      anon_sym_RPAREN,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [3167] = 2,
    ACTIONS(616), 1,
      anon_sym_LT,
    ACTIONS(614), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3176] = 4,
    ACTIONS(618), 1,
      sym__S,
    ACTIONS(620), 1,
      anon_sym_QMARK_GT,
    STATE(221), 1,
      sym__EncodingDecl,
    STATE(366), 1,
      sym__SDDecl,
  [3189] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(430), 1,
      anon_sym_RPAREN,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [3202] = 4,
    ACTIONS(622), 1,
      anon_sym_RPAREN,
    ACTIONS(624), 1,
      anon_sym_PERCENT,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [3215] = 2,
    ACTIONS(629), 1,
      anon_sym_LT,
    ACTIONS(627), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3224] = 2,
    ACTIONS(633), 1,
      anon_sym_LT,
    ACTIONS(631), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3233] = 4,
    ACTIONS(574), 1,
      sym_Name,
    ACTIONS(580), 1,
      anon_sym_GT,
    ACTIONS(635), 1,
      anon_sym_SLASH_GT,
    STATE(241), 1,
      sym_Attribute,
  [3246] = 1,
    ACTIONS(282), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3253] = 1,
    ACTIONS(310), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3260] = 4,
    ACTIONS(580), 1,
      anon_sym_GT,
    ACTIONS(635), 1,
      anon_sym_SLASH_GT,
    ACTIONS(637), 1,
      sym__S,
    STATE(193), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3273] = 1,
    ACTIONS(639), 4,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym__S,
      sym_Name,
  [3280] = 1,
    ACTIONS(306), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3287] = 2,
    ACTIONS(641), 1,
      sym__S,
    ACTIONS(508), 3,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym_Name,
  [3296] = 4,
    ACTIONS(644), 1,
      anon_sym_LT,
    STATE(3), 1,
      sym_STag,
    STATE(64), 1,
      sym_element,
    STATE(172), 1,
      sym_EmptyElemTag,
  [3309] = 1,
    ACTIONS(508), 4,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym__S,
      sym_Name,
  [3316] = 3,
    ACTIONS(648), 1,
      sym__S,
    STATE(193), 1,
      aux_sym_EmptyElemTag_repeat1,
    ACTIONS(646), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
  [3327] = 4,
    ACTIONS(574), 1,
      sym_Name,
    ACTIONS(576), 1,
      anon_sym_GT,
    ACTIONS(651), 1,
      anon_sym_SLASH_GT,
    STATE(241), 1,
      sym_Attribute,
  [3340] = 2,
    ACTIONS(655), 1,
      sym__S,
    ACTIONS(653), 3,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym_Name,
  [3349] = 3,
    ACTIONS(658), 1,
      anon_sym_GT,
    ACTIONS(660), 1,
      sym__S,
    STATE(196), 2,
      sym_AttDef,
      aux_sym_AttlistDecl_repeat1,
  [3360] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(663), 1,
      sym_Name,
    ACTIONS(665), 1,
      anon_sym_GT,
    STATE(340), 1,
      sym_PEReference,
  [3373] = 2,
    ACTIONS(669), 1,
      anon_sym_LT,
    ACTIONS(667), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3382] = 3,
    ACTIONS(602), 1,
      anon_sym_PERCENT,
    ACTIONS(671), 1,
      sym__S,
    STATE(150), 2,
      sym__DeclSep,
      sym_PEReference,
  [3393] = 4,
    ACTIONS(562), 1,
      anon_sym_PIPE,
    ACTIONS(673), 1,
      anon_sym_RPAREN,
    ACTIONS(675), 1,
      sym__S,
    STATE(217), 1,
      aux_sym_Enumeration_repeat1,
  [3406] = 1,
    ACTIONS(677), 4,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3413] = 3,
    ACTIONS(679), 1,
      anon_sym_GT,
    ACTIONS(681), 1,
      sym__S,
    STATE(209), 2,
      sym_AttDef,
      aux_sym_AttlistDecl_repeat1,
  [3424] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(520), 1,
      anon_sym_RPAREN,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [3437] = 4,
    ACTIONS(683), 1,
      anon_sym_PIPE,
    ACTIONS(686), 1,
      anon_sym_RPAREN,
    ACTIONS(688), 1,
      sym__S,
    STATE(204), 1,
      aux_sym_Enumeration_repeat1,
  [3450] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(691), 1,
      anon_sym_RPAREN,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(270), 1,
      sym_PEReference,
  [3463] = 2,
    ACTIONS(695), 1,
      anon_sym_LT,
    ACTIONS(693), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3472] = 4,
    ACTIONS(562), 1,
      anon_sym_PIPE,
    ACTIONS(697), 1,
      anon_sym_RPAREN,
    ACTIONS(699), 1,
      sym__S,
    STATE(204), 1,
      aux_sym_Enumeration_repeat1,
  [3485] = 2,
    ACTIONS(703), 1,
      anon_sym_LT,
    ACTIONS(701), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3494] = 3,
    ACTIONS(705), 1,
      anon_sym_GT,
    ACTIONS(707), 1,
      sym__S,
    STATE(196), 2,
      sym_AttDef,
      aux_sym_AttlistDecl_repeat1,
  [3505] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(663), 1,
      sym_Name,
    ACTIONS(705), 1,
      anon_sym_GT,
    STATE(340), 1,
      sym_PEReference,
  [3518] = 4,
    ACTIONS(644), 1,
      anon_sym_LT,
    STATE(3), 1,
      sym_STag,
    STATE(45), 1,
      sym_element,
    STATE(172), 1,
      sym_EmptyElemTag,
  [3531] = 1,
    ACTIONS(298), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3538] = 2,
    ACTIONS(711), 1,
      anon_sym_LT,
    ACTIONS(709), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3547] = 1,
    ACTIONS(713), 4,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3554] = 4,
    ACTIONS(715), 1,
      anon_sym_xml,
    ACTIONS(717), 1,
      anon_sym_xml_DASHstylesheet,
    ACTIONS(719), 1,
      anon_sym_xml_DASHmodel,
    ACTIONS(721), 1,
      sym_PITarget,
  [3567] = 4,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(723), 1,
      sym_Name,
    ACTIONS(725), 1,
      sym__S,
    STATE(122), 1,
      sym_PEReference,
  [3580] = 4,
    ACTIONS(562), 1,
      anon_sym_PIPE,
    ACTIONS(564), 1,
      anon_sym_RPAREN,
    ACTIONS(566), 1,
      sym__S,
    STATE(204), 1,
      aux_sym_Enumeration_repeat1,
  [3593] = 3,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    STATE(229), 1,
      sym_SystemLiteral,
  [3603] = 2,
    ACTIONS(733), 1,
      anon_sym_STAR,
    ACTIONS(731), 2,
      anon_sym_GT,
      sym__S,
  [3611] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(261), 1,
      sym__Eq,
  [3621] = 3,
    ACTIONS(739), 1,
      sym__S,
    ACTIONS(741), 1,
      anon_sym_QMARK_GT,
    STATE(305), 1,
      sym__SDDecl,
  [3631] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(743), 1,
      anon_sym_RPAREN,
    STATE(244), 1,
      sym_PEReference,
  [3641] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(500), 1,
      anon_sym_RPAREN,
    STATE(244), 1,
      sym_PEReference,
  [3651] = 3,
    ACTIONS(745), 1,
      sym_Name,
    ACTIONS(747), 1,
      anon_sym_QMARK_GT,
    STATE(355), 1,
      sym_PseudoAtt,
  [3661] = 3,
    ACTIONS(749), 1,
      sym__S,
    ACTIONS(752), 1,
      anon_sym_QMARK_GT,
    STATE(225), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3671] = 3,
    ACTIONS(741), 1,
      anon_sym_QMARK_GT,
    ACTIONS(754), 1,
      anon_sym_encoding,
    ACTIONS(756), 1,
      anon_sym_standalone,
  [3681] = 1,
    ACTIONS(758), 3,
      anon_sym_LBRACK,
      anon_sym_GT,
      sym__S,
  [3687] = 3,
    ACTIONS(745), 1,
      sym_Name,
    ACTIONS(760), 1,
      anon_sym_QMARK_GT,
    STATE(355), 1,
      sym_PseudoAtt,
  [3697] = 1,
    ACTIONS(762), 3,
      anon_sym_LBRACK,
      anon_sym_GT,
      sym__S,
  [3703] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(265), 1,
      sym__Eq,
  [3713] = 1,
    ACTIONS(686), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__S,
  [3719] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(764), 1,
      sym_Name,
    STATE(125), 1,
      sym_PEReference,
  [3729] = 2,
    ACTIONS(768), 1,
      anon_sym_STAR,
    ACTIONS(766), 2,
      anon_sym_GT,
      sym__S,
  [3737] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(770), 1,
      sym_Name,
    STATE(214), 1,
      sym_PEReference,
  [3747] = 1,
    ACTIONS(772), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_SLASH_GT,
  [3753] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(322), 1,
      sym__Eq,
  [3763] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(774), 1,
      sym_Name,
    STATE(369), 1,
      sym_PEReference,
  [3773] = 1,
    ACTIONS(776), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_SLASH_GT,
  [3779] = 3,
    ACTIONS(380), 1,
      anon_sym_DQUOTE,
    ACTIONS(382), 1,
      anon_sym_SQUOTE,
    STATE(346), 1,
      sym_AttValue,
  [3789] = 1,
    ACTIONS(778), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__S,
  [3795] = 1,
    ACTIONS(646), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_SLASH_GT,
  [3801] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    STATE(244), 1,
      sym_PEReference,
  [3811] = 3,
    ACTIONS(780), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_GT,
    ACTIONS(784), 1,
      sym__S,
  [3821] = 1,
    ACTIONS(524), 3,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3827] = 1,
    ACTIONS(786), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__S,
  [3833] = 1,
    ACTIONS(788), 3,
      anon_sym_LBRACK,
      anon_sym_GT,
      sym__S,
  [3839] = 3,
    ACTIONS(790), 1,
      sym__S,
    ACTIONS(792), 1,
      anon_sym_QMARK_GT,
    STATE(225), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3849] = 3,
    ACTIONS(794), 1,
      anon_sym_GT,
    ACTIONS(796), 1,
      sym__S,
    STATE(284), 1,
      sym_NDataDecl,
  [3859] = 3,
    ACTIONS(745), 1,
      sym_Name,
    ACTIONS(792), 1,
      anon_sym_QMARK_GT,
    STATE(355), 1,
      sym_PseudoAtt,
  [3869] = 2,
    ACTIONS(800), 1,
      sym__S,
    ACTIONS(798), 2,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [3877] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(320), 1,
      sym__Eq,
  [3887] = 3,
    ACTIONS(802), 1,
      sym__S,
    ACTIONS(804), 1,
      anon_sym_QMARK_GT,
    STATE(225), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3897] = 3,
    ACTIONS(745), 1,
      sym_Name,
    ACTIONS(804), 1,
      anon_sym_QMARK_GT,
    STATE(355), 1,
      sym_PseudoAtt,
  [3907] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(321), 1,
      sym__Eq,
  [3917] = 3,
    ACTIONS(806), 1,
      sym_Name,
    ACTIONS(808), 1,
      anon_sym_PERCENT,
    STATE(384), 1,
      sym_PEReference,
  [3927] = 2,
    ACTIONS(812), 1,
      anon_sym_STAR,
    ACTIONS(810), 2,
      anon_sym_GT,
      sym__S,
  [3935] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(814), 1,
      sym_Name,
    STATE(437), 1,
      sym_PEReference,
  [3945] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(816), 1,
      sym_Name,
    STATE(202), 1,
      sym_PEReference,
  [3955] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(610), 1,
      sym_Name,
    STATE(201), 1,
      sym_PEReference,
  [3965] = 2,
    ACTIONS(820), 1,
      sym__S,
    ACTIONS(818), 2,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [3973] = 3,
    ACTIONS(822), 1,
      anon_sym_DQUOTE,
    ACTIONS(824), 1,
      anon_sym_SQUOTE,
    STATE(330), 1,
      sym_PseudoAttValue,
  [3983] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(663), 1,
      sym_Name,
    STATE(340), 1,
      sym_PEReference,
  [3993] = 3,
    ACTIONS(826), 1,
      anon_sym_DQUOTE,
    ACTIONS(828), 1,
      anon_sym_SQUOTE,
    STATE(299), 1,
      sym_PubidLiteral,
  [4003] = 3,
    ACTIONS(826), 1,
      anon_sym_DQUOTE,
    ACTIONS(828), 1,
      anon_sym_SQUOTE,
    STATE(300), 1,
      sym_PubidLiteral,
  [4013] = 3,
    ACTIONS(830), 1,
      anon_sym_DQUOTE,
    ACTIONS(832), 1,
      anon_sym_SQUOTE,
    STATE(235), 1,
      sym_AttValue,
  [4023] = 3,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(834), 1,
      sym_Name,
    STATE(387), 1,
      sym_PEReference,
  [4033] = 3,
    ACTIONS(836), 1,
      anon_sym_LBRACK,
    ACTIONS(838), 1,
      anon_sym_GT,
    ACTIONS(840), 1,
      sym__S,
  [4043] = 2,
    ACTIONS(844), 1,
      anon_sym_STAR,
    ACTIONS(842), 2,
      anon_sym_GT,
      sym__S,
  [4051] = 1,
    ACTIONS(846), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_SLASH_GT,
  [4057] = 2,
    ACTIONS(850), 1,
      sym__S,
    ACTIONS(848), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [4065] = 3,
    ACTIONS(826), 1,
      anon_sym_DQUOTE,
    ACTIONS(828), 1,
      anon_sym_SQUOTE,
    STATE(423), 1,
      sym_PubidLiteral,
  [4075] = 3,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    STATE(246), 1,
      sym_SystemLiteral,
  [4085] = 3,
    ACTIONS(717), 1,
      anon_sym_xml_DASHstylesheet,
    ACTIONS(719), 1,
      anon_sym_xml_DASHmodel,
    ACTIONS(721), 1,
      sym_PITarget,
  [4095] = 3,
    ACTIONS(852), 1,
      sym__S,
    ACTIONS(854), 1,
      anon_sym_QMARK_GT,
    STATE(247), 1,
      aux_sym_StyleSheetPI_repeat1,
  [4105] = 3,
    ACTIONS(856), 1,
      sym__S,
    ACTIONS(858), 1,
      anon_sym_QMARK_GT,
    STATE(252), 1,
      aux_sym_StyleSheetPI_repeat1,
  [4115] = 1,
    ACTIONS(860), 2,
      anon_sym_GT,
      sym__S,
  [4120] = 1,
    ACTIONS(278), 2,
      anon_sym_PERCENT,
      sym__S,
  [4125] = 1,
    ACTIONS(862), 2,
      anon_sym_GT,
      sym__S,
  [4130] = 2,
    ACTIONS(864), 1,
      sym__S,
    ACTIONS(866), 1,
      anon_sym_QMARK_GT,
  [4137] = 2,
    ACTIONS(868), 1,
      sym__S,
    STATE(179), 1,
      sym__VersionInfo,
  [4144] = 1,
    ACTIONS(870), 2,
      anon_sym_PERCENT,
      sym__S,
  [4149] = 1,
    ACTIONS(872), 2,
      anon_sym_yes,
      anon_sym_no,
  [4154] = 2,
    ACTIONS(874), 1,
      anon_sym_GT,
    ACTIONS(876), 1,
      anon_sym_NDATA,
  [4161] = 2,
    ACTIONS(874), 1,
      anon_sym_GT,
    ACTIONS(878), 1,
      sym__S,
  [4168] = 1,
    ACTIONS(880), 2,
      anon_sym_PERCENT,
      sym__S,
  [4173] = 2,
    ACTIONS(838), 1,
      anon_sym_GT,
    ACTIONS(882), 1,
      sym__S,
  [4180] = 1,
    ACTIONS(884), 2,
      anon_sym_PERCENT,
      sym__S,
  [4185] = 2,
    ACTIONS(574), 1,
      sym_Name,
    STATE(241), 1,
      sym_Attribute,
  [4192] = 2,
    ACTIONS(886), 1,
      anon_sym_GT,
    ACTIONS(888), 1,
      sym__S,
  [4199] = 2,
    ACTIONS(745), 1,
      sym_Name,
    STATE(355), 1,
      sym_PseudoAtt,
  [4206] = 1,
    ACTIONS(890), 2,
      anon_sym_PERCENT,
      sym__S,
  [4211] = 1,
    ACTIONS(892), 2,
      anon_sym_PERCENT,
      sym__S,
  [4216] = 2,
    ACTIONS(894), 1,
      sym__S,
    ACTIONS(896), 1,
      sym_Nmtoken,
  [4223] = 1,
    ACTIONS(898), 2,
      anon_sym_yes,
      anon_sym_no,
  [4228] = 1,
    ACTIONS(900), 2,
      anon_sym_GT,
      sym__S,
  [4233] = 2,
    ACTIONS(25), 1,
      anon_sym_LT_SLASH,
    STATE(58), 1,
      sym_ETag,
  [4240] = 2,
    ACTIONS(902), 1,
      anon_sym_GT,
    ACTIONS(904), 1,
      sym__S,
  [4247] = 1,
    ACTIONS(906), 2,
      anon_sym_GT,
      sym__S,
  [4252] = 2,
    ACTIONS(908), 1,
      anon_sym_GT,
    ACTIONS(910), 1,
      sym__S,
  [4259] = 1,
    ACTIONS(908), 2,
      anon_sym_GT,
      sym__S,
  [4264] = 1,
    ACTIONS(912), 2,
      anon_sym_PERCENT,
      sym__S,
  [4269] = 2,
    ACTIONS(914), 1,
      anon_sym_GT,
    ACTIONS(916), 1,
      sym__S,
  [4276] = 1,
    ACTIONS(918), 2,
      anon_sym_GT,
      sym__S,
  [4281] = 1,
    ACTIONS(920), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4286] = 2,
    ACTIONS(922), 1,
      sym__S,
    ACTIONS(924), 1,
      anon_sym_QMARK_GT,
  [4293] = 1,
    ACTIONS(926), 2,
      anon_sym_PERCENT,
      sym__S,
  [4298] = 2,
    ACTIONS(928), 1,
      sym__S,
    ACTIONS(930), 1,
      anon_sym_QMARK_GT,
  [4305] = 2,
    ACTIONS(932), 1,
      anon_sym_LBRACK,
    ACTIONS(934), 1,
      anon_sym_GT,
  [4312] = 1,
    ACTIONS(936), 2,
      anon_sym_PERCENT,
      sym__S,
  [4317] = 1,
    ACTIONS(938), 2,
      anon_sym_GT,
      sym__S,
  [4322] = 1,
    ACTIONS(810), 2,
      anon_sym_GT,
      sym__S,
  [4327] = 1,
    ACTIONS(940), 2,
      anon_sym_GT,
      sym__S,
  [4332] = 1,
    ACTIONS(818), 2,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [4337] = 2,
    ACTIONS(29), 1,
      anon_sym_LT_SLASH,
    STATE(189), 1,
      sym_ETag,
  [4344] = 1,
    ACTIONS(622), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [4349] = 2,
    ACTIONS(942), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(944), 1,
      sym_CData,
  [4356] = 2,
    ACTIONS(756), 1,
      anon_sym_standalone,
    ACTIONS(924), 1,
      anon_sym_QMARK_GT,
  [4363] = 1,
    ACTIONS(314), 2,
      anon_sym_PERCENT,
      sym__S,
  [4368] = 1,
    ACTIONS(776), 2,
      anon_sym_GT,
      sym__S,
  [4373] = 2,
    ACTIONS(946), 1,
      anon_sym_DQUOTE,
    ACTIONS(948), 1,
      anon_sym_SQUOTE,
  [4380] = 2,
    ACTIONS(950), 1,
      anon_sym_DQUOTE,
    ACTIONS(952), 1,
      anon_sym_SQUOTE,
  [4387] = 2,
    ACTIONS(954), 1,
      anon_sym_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_SQUOTE,
  [4394] = 1,
    ACTIONS(846), 2,
      anon_sym_GT,
      sym__S,
  [4399] = 2,
    ACTIONS(958), 1,
      anon_sym_GT,
    ACTIONS(960), 1,
      sym__S,
  [4406] = 2,
    ACTIONS(962), 1,
      anon_sym_GT,
    ACTIONS(964), 1,
      sym__S,
  [4413] = 1,
    ACTIONS(966), 2,
      anon_sym_GT,
      sym__S,
  [4418] = 2,
    ACTIONS(794), 1,
      anon_sym_GT,
    ACTIONS(968), 1,
      sym__S,
  [4425] = 1,
    ACTIONS(970), 2,
      sym_CData,
      anon_sym_RBRACK_RBRACK_GT,
  [4430] = 1,
    ACTIONS(972), 2,
      anon_sym_GT,
      sym__S,
  [4435] = 1,
    ACTIONS(974), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4440] = 2,
    ACTIONS(976), 1,
      anon_sym_RPAREN,
    ACTIONS(978), 1,
      sym__S,
  [4447] = 2,
    ACTIONS(980), 1,
      anon_sym_GT,
    ACTIONS(982), 1,
      sym__S,
  [4454] = 1,
    ACTIONS(984), 2,
      anon_sym_GT,
      sym__S,
  [4459] = 1,
    ACTIONS(986), 2,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [4464] = 1,
    ACTIONS(988), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4469] = 2,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    ACTIONS(992), 1,
      sym__S,
  [4476] = 2,
    ACTIONS(994), 1,
      sym__S,
    ACTIONS(996), 1,
      anon_sym_QMARK_GT,
  [4483] = 1,
    ACTIONS(998), 2,
      anon_sym_PERCENT,
      sym__S,
  [4488] = 1,
    ACTIONS(1000), 2,
      anon_sym_GT,
      sym__S,
  [4493] = 2,
    ACTIONS(658), 1,
      anon_sym_GT,
    ACTIONS(1002), 1,
      sym__S,
  [4500] = 1,
    ACTIONS(1005), 2,
      anon_sym_PERCENT,
      sym__S,
  [4505] = 1,
    ACTIONS(1007), 2,
      anon_sym_GT,
      sym__S,
  [4510] = 1,
    ACTIONS(1009), 2,
      anon_sym_PERCENT,
      sym__S,
  [4515] = 1,
    ACTIONS(766), 2,
      anon_sym_GT,
      sym__S,
  [4520] = 2,
    ACTIONS(1011), 1,
      anon_sym_GT,
    ACTIONS(1013), 1,
      sym__S,
  [4527] = 1,
    ACTIONS(1015), 2,
      anon_sym_GT,
      sym__S,
  [4532] = 2,
    ACTIONS(1017), 1,
      anon_sym_RPAREN,
    ACTIONS(1019), 1,
      sym__S,
  [4539] = 1,
    ACTIONS(1021), 2,
      anon_sym_PERCENT,
      sym__S,
  [4544] = 1,
    ACTIONS(1023), 2,
      anon_sym_GT,
      sym__S,
  [4549] = 2,
    ACTIONS(1025), 1,
      anon_sym_GT,
    ACTIONS(1027), 1,
      sym__S,
  [4556] = 1,
    ACTIONS(1029), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4561] = 1,
    ACTIONS(1031), 2,
      anon_sym_GT,
      sym__S,
  [4566] = 2,
    ACTIONS(1033), 1,
      anon_sym_PIPE,
    ACTIONS(1035), 1,
      anon_sym_RPAREN,
  [4573] = 1,
    ACTIONS(1037), 2,
      anon_sym_GT,
      sym__S,
  [4578] = 1,
    ACTIONS(752), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4583] = 1,
    ACTIONS(1039), 2,
      anon_sym_GT,
      sym__S,
  [4588] = 1,
    ACTIONS(496), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [4593] = 2,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    STATE(244), 1,
      sym_PEReference,
  [4600] = 1,
    ACTIONS(1041), 2,
      anon_sym_PERCENT,
      sym__S,
  [4605] = 2,
    ACTIONS(1043), 1,
      sym__S,
    ACTIONS(1045), 1,
      sym_Nmtoken,
  [4612] = 1,
    ACTIONS(1047), 2,
      anon_sym_GT,
      sym__S,
  [4617] = 2,
    ACTIONS(564), 1,
      anon_sym_RPAREN,
    ACTIONS(1033), 1,
      anon_sym_PIPE,
  [4624] = 1,
    ACTIONS(1049), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4629] = 1,
    ACTIONS(1051), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4634] = 1,
    ACTIONS(1053), 2,
      anon_sym_GT,
      sym__S,
  [4639] = 2,
    ACTIONS(741), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1055), 1,
      sym__S,
  [4646] = 1,
    ACTIONS(1057), 2,
      anon_sym_GT,
      sym__S,
  [4651] = 1,
    ACTIONS(1059), 2,
      anon_sym_PERCENT,
      sym__S,
  [4656] = 1,
    ACTIONS(1061), 2,
      anon_sym_GT,
      sym__S,
  [4661] = 2,
    ACTIONS(1063), 1,
      sym_Name,
    ACTIONS(1065), 1,
      sym__S,
  [4668] = 1,
    ACTIONS(731), 2,
      anon_sym_GT,
      sym__S,
  [4673] = 2,
    ACTIONS(1067), 1,
      sym__S,
    ACTIONS(1069), 1,
      sym_Nmtoken,
  [4680] = 2,
    ACTIONS(1071), 1,
      anon_sym_GT,
    ACTIONS(1073), 1,
      sym__S,
  [4687] = 2,
    ACTIONS(934), 1,
      anon_sym_GT,
    ACTIONS(1075), 1,
      sym__S,
  [4694] = 2,
    ACTIONS(697), 1,
      anon_sym_RPAREN,
    ACTIONS(1033), 1,
      anon_sym_PIPE,
  [4701] = 1,
    ACTIONS(1077), 2,
      anon_sym_GT,
      sym__S,
  [4706] = 1,
    ACTIONS(1079), 1,
      sym_Name,
  [4710] = 1,
    ACTIONS(1025), 1,
      anon_sym_GT,
  [4714] = 1,
    ACTIONS(1081), 1,
      anon_sym_DQUOTE,
  [4718] = 1,
    ACTIONS(1071), 1,
      anon_sym_GT,
  [4722] = 1,
    ACTIONS(1069), 1,
      sym_Nmtoken,
  [4726] = 1,
    ACTIONS(1081), 1,
      anon_sym_SQUOTE,
  [4730] = 1,
    ACTIONS(733), 1,
      anon_sym_STAR,
  [4734] = 1,
    ACTIONS(1083), 1,
      sym__S,
  [4738] = 1,
    ACTIONS(1085), 1,
      ts_builtin_sym_end,
  [4742] = 1,
    ACTIONS(812), 1,
      anon_sym_STAR,
  [4746] = 1,
    ACTIONS(1087), 1,
      sym__S,
  [4750] = 1,
    ACTIONS(1089), 1,
      sym__S,
  [4754] = 1,
    ACTIONS(1091), 1,
      anon_sym_STAR,
  [4758] = 1,
    ACTIONS(1093), 1,
      anon_sym_QMARK_GT,
  [4762] = 1,
    ACTIONS(1095), 1,
      sym_Name,
  [4766] = 1,
    ACTIONS(1097), 1,
      sym__S,
  [4770] = 1,
    ACTIONS(1099), 1,
      sym_VersionNum,
  [4774] = 1,
    ACTIONS(1101), 1,
      sym_Nmtoken,
  [4778] = 1,
    ACTIONS(1033), 1,
      anon_sym_PIPE,
  [4782] = 1,
    ACTIONS(498), 1,
      anon_sym_PIPE,
  [4786] = 1,
    ACTIONS(1103), 1,
      anon_sym_SQUOTE,
  [4790] = 1,
    ACTIONS(1105), 1,
      anon_sym_PIPE,
  [4794] = 1,
    ACTIONS(1107), 1,
      sym__S,
  [4798] = 1,
    ACTIONS(1103), 1,
      anon_sym_DQUOTE,
  [4802] = 1,
    ACTIONS(768), 1,
      anon_sym_STAR,
  [4806] = 1,
    ACTIONS(1109), 1,
      sym__S,
  [4810] = 1,
    ACTIONS(1111), 1,
      anon_sym_GT,
  [4814] = 1,
    ACTIONS(1113), 1,
      anon_sym_SQUOTE,
  [4818] = 1,
    ACTIONS(1115), 1,
      anon_sym_LPAREN,
  [4822] = 1,
    ACTIONS(1117), 1,
      anon_sym_RBRACK_RBRACK_GT,
  [4826] = 1,
    ACTIONS(1113), 1,
      anon_sym_DQUOTE,
  [4830] = 1,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
  [4834] = 1,
    ACTIONS(1121), 1,
      sym_Nmtoken,
  [4838] = 1,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
  [4842] = 1,
    ACTIONS(934), 1,
      anon_sym_GT,
  [4846] = 1,
    ACTIONS(1123), 1,
      sym__S,
  [4850] = 1,
    ACTIONS(976), 1,
      anon_sym_RPAREN,
  [4854] = 1,
    ACTIONS(1125), 1,
      sym__S,
  [4858] = 1,
    ACTIONS(1127), 1,
      sym_Name,
  [4862] = 1,
    ACTIONS(1129), 1,
      sym__start_tag_name,
  [4866] = 1,
    ACTIONS(1131), 1,
      anon_sym_RPAREN,
  [4870] = 1,
    ACTIONS(1133), 1,
      anon_sym_GT,
  [4874] = 1,
    ACTIONS(1135), 1,
      anon_sym_GT,
  [4878] = 1,
    ACTIONS(1137), 1,
      anon_sym_SEMI,
  [4882] = 1,
    ACTIONS(1139), 1,
      anon_sym_SEMI,
  [4886] = 1,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
  [4890] = 1,
    ACTIONS(910), 1,
      sym__S,
  [4894] = 1,
    ACTIONS(1143), 1,
      aux_sym_PubidLiteral_token2,
  [4898] = 1,
    ACTIONS(1145), 1,
      aux_sym_PubidLiteral_token1,
  [4902] = 1,
    ACTIONS(1147), 1,
      aux_sym_SystemLiteral_token2,
  [4906] = 1,
    ACTIONS(1149), 1,
      aux_sym_SystemLiteral_token1,
  [4910] = 1,
    ACTIONS(1151), 1,
      anon_sym_EQ,
  [4914] = 1,
    ACTIONS(1153), 1,
      anon_sym_SEMI,
  [4918] = 1,
    ACTIONS(1155), 1,
      sym__S,
  [4922] = 1,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
  [4926] = 1,
    ACTIONS(1159), 1,
      anon_sym_QMARK_GT,
  [4930] = 1,
    ACTIONS(1161), 1,
      sym_VersionNum,
  [4934] = 1,
    ACTIONS(1163), 1,
      sym__pi_content,
  [4938] = 1,
    ACTIONS(1165), 1,
      anon_sym_version,
  [4942] = 1,
    ACTIONS(1157), 1,
      anon_sym_SQUOTE,
  [4946] = 1,
    ACTIONS(1167), 1,
      sym__S,
  [4950] = 1,
    ACTIONS(1169), 1,
      sym__S,
  [4954] = 1,
    ACTIONS(1171), 1,
      anon_sym_GT,
  [4958] = 1,
    ACTIONS(958), 1,
      anon_sym_GT,
  [4962] = 1,
    ACTIONS(1173), 1,
      sym__end_tag_name,
  [4966] = 1,
    ACTIONS(1175), 1,
      sym_PITarget,
  [4970] = 1,
    ACTIONS(1177), 1,
      aux_sym_CharRef_token2,
  [4974] = 1,
    ACTIONS(1177), 1,
      aux_sym_CharRef_token1,
  [4978] = 1,
    ACTIONS(1179), 1,
      sym_Name,
  [4982] = 1,
    ACTIONS(1181), 1,
      anon_sym_CDATA,
  [4986] = 1,
    ACTIONS(1183), 1,
      anon_sym_GT,
  [4990] = 1,
    ACTIONS(1185), 1,
      anon_sym_DOCTYPE,
  [4994] = 1,
    ACTIONS(1187), 1,
      sym__S,
  [4998] = 1,
    ACTIONS(924), 1,
      anon_sym_QMARK_GT,
  [5002] = 1,
    ACTIONS(1189), 1,
      sym__S,
  [5006] = 1,
    ACTIONS(1191), 1,
      sym__S,
  [5010] = 1,
    ACTIONS(1193), 1,
      anon_sym_GT,
  [5014] = 1,
    ACTIONS(1195), 1,
      anon_sym_SEMI,
  [5018] = 1,
    ACTIONS(1197), 1,
      anon_sym_SEMI,
  [5022] = 1,
    ACTIONS(1199), 1,
      sym__S,
  [5026] = 1,
    ACTIONS(1201), 1,
      anon_sym_QMARK_GT,
  [5030] = 1,
    ACTIONS(874), 1,
      anon_sym_GT,
  [5034] = 1,
    ACTIONS(1203), 1,
      anon_sym_GT,
  [5038] = 1,
    ACTIONS(1205), 1,
      sym_EncName,
  [5042] = 1,
    ACTIONS(1207), 1,
      sym_EncName,
  [5046] = 1,
    ACTIONS(1119), 1,
      anon_sym_SQUOTE,
  [5050] = 1,
    ACTIONS(1209), 1,
      sym__S,
  [5054] = 1,
    ACTIONS(1211), 1,
      anon_sym_SEMI,
  [5058] = 1,
    ACTIONS(1213), 1,
      sym__S,
  [5062] = 1,
    ACTIONS(1215), 1,
      anon_sym_SEMI,
  [5066] = 1,
    ACTIONS(1217), 1,
      anon_sym_SEMI,
  [5070] = 1,
    ACTIONS(1219), 1,
      anon_sym_QMARK_GT,
  [5074] = 1,
    ACTIONS(1221), 1,
      anon_sym_SEMI,
  [5078] = 1,
    ACTIONS(1223), 1,
      anon_sym_SEMI,
  [5082] = 1,
    ACTIONS(1225), 1,
      anon_sym_SEMI,
  [5086] = 1,
    ACTIONS(1227), 1,
      anon_sym_SEMI,
  [5090] = 1,
    ACTIONS(1229), 1,
      anon_sym_SEMI,
  [5094] = 1,
    ACTIONS(1231), 1,
      anon_sym_SEMI,
  [5098] = 1,
    ACTIONS(1233), 1,
      sym__start_tag_name,
  [5102] = 1,
    ACTIONS(1235), 1,
      sym_Name,
  [5106] = 1,
    ACTIONS(1237), 1,
      aux_sym_CharRef_token1,
  [5110] = 1,
    ACTIONS(1237), 1,
      aux_sym_CharRef_token2,
  [5114] = 1,
    ACTIONS(1239), 1,
      sym_PITarget,
  [5118] = 1,
    ACTIONS(1241), 1,
      sym__end_tag_name,
  [5122] = 1,
    ACTIONS(1243), 1,
      sym__pi_content,
  [5126] = 1,
    ACTIONS(1063), 1,
      sym_Name,
  [5130] = 1,
    ACTIONS(1245), 1,
      sym_Name,
  [5134] = 1,
    ACTIONS(1247), 1,
      aux_sym_CharRef_token1,
  [5138] = 1,
    ACTIONS(1247), 1,
      aux_sym_CharRef_token2,
  [5142] = 1,
    ACTIONS(1249), 1,
      sym__pi_content,
  [5146] = 1,
    ACTIONS(1251), 1,
      sym_Name,
  [5150] = 1,
    ACTIONS(1253), 1,
      sym_Name,
  [5154] = 1,
    ACTIONS(1255), 1,
      aux_sym_CharRef_token1,
  [5158] = 1,
    ACTIONS(1255), 1,
      aux_sym_CharRef_token2,
  [5162] = 1,
    ACTIONS(1257), 1,
      sym_Name,
  [5166] = 1,
    ACTIONS(1259), 1,
      sym_Name,
  [5170] = 1,
    ACTIONS(1261), 1,
      aux_sym_CharRef_token1,
  [5174] = 1,
    ACTIONS(1261), 1,
      aux_sym_CharRef_token2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 52,
  [SMALL_STATE(4)] = 104,
  [SMALL_STATE(5)] = 150,
  [SMALL_STATE(6)] = 196,
  [SMALL_STATE(7)] = 235,
  [SMALL_STATE(8)] = 268,
  [SMALL_STATE(9)] = 301,
  [SMALL_STATE(10)] = 334,
  [SMALL_STATE(11)] = 367,
  [SMALL_STATE(12)] = 400,
  [SMALL_STATE(13)] = 433,
  [SMALL_STATE(14)] = 466,
  [SMALL_STATE(15)] = 499,
  [SMALL_STATE(16)] = 532,
  [SMALL_STATE(17)] = 559,
  [SMALL_STATE(18)] = 586,
  [SMALL_STATE(19)] = 613,
  [SMALL_STATE(20)] = 640,
  [SMALL_STATE(21)] = 668,
  [SMALL_STATE(22)] = 692,
  [SMALL_STATE(23)] = 720,
  [SMALL_STATE(24)] = 742,
  [SMALL_STATE(25)] = 770,
  [SMALL_STATE(26)] = 798,
  [SMALL_STATE(27)] = 820,
  [SMALL_STATE(28)] = 848,
  [SMALL_STATE(29)] = 876,
  [SMALL_STATE(30)] = 900,
  [SMALL_STATE(31)] = 924,
  [SMALL_STATE(32)] = 952,
  [SMALL_STATE(33)] = 974,
  [SMALL_STATE(34)] = 998,
  [SMALL_STATE(35)] = 1011,
  [SMALL_STATE(36)] = 1035,
  [SMALL_STATE(37)] = 1049,
  [SMALL_STATE(38)] = 1067,
  [SMALL_STATE(39)] = 1085,
  [SMALL_STATE(40)] = 1109,
  [SMALL_STATE(41)] = 1127,
  [SMALL_STATE(42)] = 1145,
  [SMALL_STATE(43)] = 1159,
  [SMALL_STATE(44)] = 1183,
  [SMALL_STATE(45)] = 1205,
  [SMALL_STATE(46)] = 1223,
  [SMALL_STATE(47)] = 1241,
  [SMALL_STATE(48)] = 1255,
  [SMALL_STATE(49)] = 1279,
  [SMALL_STATE(50)] = 1293,
  [SMALL_STATE(51)] = 1307,
  [SMALL_STATE(52)] = 1321,
  [SMALL_STATE(53)] = 1345,
  [SMALL_STATE(54)] = 1369,
  [SMALL_STATE(55)] = 1393,
  [SMALL_STATE(56)] = 1417,
  [SMALL_STATE(57)] = 1431,
  [SMALL_STATE(58)] = 1445,
  [SMALL_STATE(59)] = 1459,
  [SMALL_STATE(60)] = 1473,
  [SMALL_STATE(61)] = 1487,
  [SMALL_STATE(62)] = 1505,
  [SMALL_STATE(63)] = 1523,
  [SMALL_STATE(64)] = 1537,
  [SMALL_STATE(65)] = 1555,
  [SMALL_STATE(66)] = 1569,
  [SMALL_STATE(67)] = 1581,
  [SMALL_STATE(68)] = 1595,
  [SMALL_STATE(69)] = 1609,
  [SMALL_STATE(70)] = 1623,
  [SMALL_STATE(71)] = 1635,
  [SMALL_STATE(72)] = 1653,
  [SMALL_STATE(73)] = 1667,
  [SMALL_STATE(74)] = 1685,
  [SMALL_STATE(75)] = 1697,
  [SMALL_STATE(76)] = 1721,
  [SMALL_STATE(77)] = 1745,
  [SMALL_STATE(78)] = 1769,
  [SMALL_STATE(79)] = 1793,
  [SMALL_STATE(80)] = 1805,
  [SMALL_STATE(81)] = 1829,
  [SMALL_STATE(82)] = 1843,
  [SMALL_STATE(83)] = 1855,
  [SMALL_STATE(84)] = 1879,
  [SMALL_STATE(85)] = 1903,
  [SMALL_STATE(86)] = 1921,
  [SMALL_STATE(87)] = 1942,
  [SMALL_STATE(88)] = 1963,
  [SMALL_STATE(89)] = 1984,
  [SMALL_STATE(90)] = 1997,
  [SMALL_STATE(91)] = 2018,
  [SMALL_STATE(92)] = 2043,
  [SMALL_STATE(93)] = 2063,
  [SMALL_STATE(94)] = 2085,
  [SMALL_STATE(95)] = 2105,
  [SMALL_STATE(96)] = 2127,
  [SMALL_STATE(97)] = 2149,
  [SMALL_STATE(98)] = 2171,
  [SMALL_STATE(99)] = 2191,
  [SMALL_STATE(100)] = 2213,
  [SMALL_STATE(101)] = 2228,
  [SMALL_STATE(102)] = 2245,
  [SMALL_STATE(103)] = 2256,
  [SMALL_STATE(104)] = 2267,
  [SMALL_STATE(105)] = 2278,
  [SMALL_STATE(106)] = 2289,
  [SMALL_STATE(107)] = 2300,
  [SMALL_STATE(108)] = 2311,
  [SMALL_STATE(109)] = 2322,
  [SMALL_STATE(110)] = 2333,
  [SMALL_STATE(111)] = 2344,
  [SMALL_STATE(112)] = 2355,
  [SMALL_STATE(113)] = 2366,
  [SMALL_STATE(114)] = 2377,
  [SMALL_STATE(115)] = 2394,
  [SMALL_STATE(116)] = 2411,
  [SMALL_STATE(117)] = 2430,
  [SMALL_STATE(118)] = 2441,
  [SMALL_STATE(119)] = 2452,
  [SMALL_STATE(120)] = 2463,
  [SMALL_STATE(121)] = 2482,
  [SMALL_STATE(122)] = 2501,
  [SMALL_STATE(123)] = 2520,
  [SMALL_STATE(124)] = 2537,
  [SMALL_STATE(125)] = 2548,
  [SMALL_STATE(126)] = 2567,
  [SMALL_STATE(127)] = 2584,
  [SMALL_STATE(128)] = 2592,
  [SMALL_STATE(129)] = 2600,
  [SMALL_STATE(130)] = 2610,
  [SMALL_STATE(131)] = 2618,
  [SMALL_STATE(132)] = 2632,
  [SMALL_STATE(133)] = 2648,
  [SMALL_STATE(134)] = 2662,
  [SMALL_STATE(135)] = 2672,
  [SMALL_STATE(136)] = 2686,
  [SMALL_STATE(137)] = 2696,
  [SMALL_STATE(138)] = 2710,
  [SMALL_STATE(139)] = 2720,
  [SMALL_STATE(140)] = 2730,
  [SMALL_STATE(141)] = 2740,
  [SMALL_STATE(142)] = 2756,
  [SMALL_STATE(143)] = 2764,
  [SMALL_STATE(144)] = 2778,
  [SMALL_STATE(145)] = 2792,
  [SMALL_STATE(146)] = 2800,
  [SMALL_STATE(147)] = 2810,
  [SMALL_STATE(148)] = 2820,
  [SMALL_STATE(149)] = 2830,
  [SMALL_STATE(150)] = 2844,
  [SMALL_STATE(151)] = 2852,
  [SMALL_STATE(152)] = 2860,
  [SMALL_STATE(153)] = 2874,
  [SMALL_STATE(154)] = 2890,
  [SMALL_STATE(155)] = 2906,
  [SMALL_STATE(156)] = 2916,
  [SMALL_STATE(157)] = 2930,
  [SMALL_STATE(158)] = 2940,
  [SMALL_STATE(159)] = 2956,
  [SMALL_STATE(160)] = 2969,
  [SMALL_STATE(161)] = 2982,
  [SMALL_STATE(162)] = 2995,
  [SMALL_STATE(163)] = 3008,
  [SMALL_STATE(164)] = 3021,
  [SMALL_STATE(165)] = 3034,
  [SMALL_STATE(166)] = 3047,
  [SMALL_STATE(167)] = 3056,
  [SMALL_STATE(168)] = 3069,
  [SMALL_STATE(169)] = 3076,
  [SMALL_STATE(170)] = 3089,
  [SMALL_STATE(171)] = 3100,
  [SMALL_STATE(172)] = 3107,
  [SMALL_STATE(173)] = 3114,
  [SMALL_STATE(174)] = 3121,
  [SMALL_STATE(175)] = 3134,
  [SMALL_STATE(176)] = 3141,
  [SMALL_STATE(177)] = 3154,
  [SMALL_STATE(178)] = 3167,
  [SMALL_STATE(179)] = 3176,
  [SMALL_STATE(180)] = 3189,
  [SMALL_STATE(181)] = 3202,
  [SMALL_STATE(182)] = 3215,
  [SMALL_STATE(183)] = 3224,
  [SMALL_STATE(184)] = 3233,
  [SMALL_STATE(185)] = 3246,
  [SMALL_STATE(186)] = 3253,
  [SMALL_STATE(187)] = 3260,
  [SMALL_STATE(188)] = 3273,
  [SMALL_STATE(189)] = 3280,
  [SMALL_STATE(190)] = 3287,
  [SMALL_STATE(191)] = 3296,
  [SMALL_STATE(192)] = 3309,
  [SMALL_STATE(193)] = 3316,
  [SMALL_STATE(194)] = 3327,
  [SMALL_STATE(195)] = 3340,
  [SMALL_STATE(196)] = 3349,
  [SMALL_STATE(197)] = 3360,
  [SMALL_STATE(198)] = 3373,
  [SMALL_STATE(199)] = 3382,
  [SMALL_STATE(200)] = 3393,
  [SMALL_STATE(201)] = 3406,
  [SMALL_STATE(202)] = 3413,
  [SMALL_STATE(203)] = 3424,
  [SMALL_STATE(204)] = 3437,
  [SMALL_STATE(205)] = 3450,
  [SMALL_STATE(206)] = 3463,
  [SMALL_STATE(207)] = 3472,
  [SMALL_STATE(208)] = 3485,
  [SMALL_STATE(209)] = 3494,
  [SMALL_STATE(210)] = 3505,
  [SMALL_STATE(211)] = 3518,
  [SMALL_STATE(212)] = 3531,
  [SMALL_STATE(213)] = 3538,
  [SMALL_STATE(214)] = 3547,
  [SMALL_STATE(215)] = 3554,
  [SMALL_STATE(216)] = 3567,
  [SMALL_STATE(217)] = 3580,
  [SMALL_STATE(218)] = 3593,
  [SMALL_STATE(219)] = 3603,
  [SMALL_STATE(220)] = 3611,
  [SMALL_STATE(221)] = 3621,
  [SMALL_STATE(222)] = 3631,
  [SMALL_STATE(223)] = 3641,
  [SMALL_STATE(224)] = 3651,
  [SMALL_STATE(225)] = 3661,
  [SMALL_STATE(226)] = 3671,
  [SMALL_STATE(227)] = 3681,
  [SMALL_STATE(228)] = 3687,
  [SMALL_STATE(229)] = 3697,
  [SMALL_STATE(230)] = 3703,
  [SMALL_STATE(231)] = 3713,
  [SMALL_STATE(232)] = 3719,
  [SMALL_STATE(233)] = 3729,
  [SMALL_STATE(234)] = 3737,
  [SMALL_STATE(235)] = 3747,
  [SMALL_STATE(236)] = 3753,
  [SMALL_STATE(237)] = 3763,
  [SMALL_STATE(238)] = 3773,
  [SMALL_STATE(239)] = 3779,
  [SMALL_STATE(240)] = 3789,
  [SMALL_STATE(241)] = 3795,
  [SMALL_STATE(242)] = 3801,
  [SMALL_STATE(243)] = 3811,
  [SMALL_STATE(244)] = 3821,
  [SMALL_STATE(245)] = 3827,
  [SMALL_STATE(246)] = 3833,
  [SMALL_STATE(247)] = 3839,
  [SMALL_STATE(248)] = 3849,
  [SMALL_STATE(249)] = 3859,
  [SMALL_STATE(250)] = 3869,
  [SMALL_STATE(251)] = 3877,
  [SMALL_STATE(252)] = 3887,
  [SMALL_STATE(253)] = 3897,
  [SMALL_STATE(254)] = 3907,
  [SMALL_STATE(255)] = 3917,
  [SMALL_STATE(256)] = 3927,
  [SMALL_STATE(257)] = 3935,
  [SMALL_STATE(258)] = 3945,
  [SMALL_STATE(259)] = 3955,
  [SMALL_STATE(260)] = 3965,
  [SMALL_STATE(261)] = 3973,
  [SMALL_STATE(262)] = 3983,
  [SMALL_STATE(263)] = 3993,
  [SMALL_STATE(264)] = 4003,
  [SMALL_STATE(265)] = 4013,
  [SMALL_STATE(266)] = 4023,
  [SMALL_STATE(267)] = 4033,
  [SMALL_STATE(268)] = 4043,
  [SMALL_STATE(269)] = 4051,
  [SMALL_STATE(270)] = 4057,
  [SMALL_STATE(271)] = 4065,
  [SMALL_STATE(272)] = 4075,
  [SMALL_STATE(273)] = 4085,
  [SMALL_STATE(274)] = 4095,
  [SMALL_STATE(275)] = 4105,
  [SMALL_STATE(276)] = 4115,
  [SMALL_STATE(277)] = 4120,
  [SMALL_STATE(278)] = 4125,
  [SMALL_STATE(279)] = 4130,
  [SMALL_STATE(280)] = 4137,
  [SMALL_STATE(281)] = 4144,
  [SMALL_STATE(282)] = 4149,
  [SMALL_STATE(283)] = 4154,
  [SMALL_STATE(284)] = 4161,
  [SMALL_STATE(285)] = 4168,
  [SMALL_STATE(286)] = 4173,
  [SMALL_STATE(287)] = 4180,
  [SMALL_STATE(288)] = 4185,
  [SMALL_STATE(289)] = 4192,
  [SMALL_STATE(290)] = 4199,
  [SMALL_STATE(291)] = 4206,
  [SMALL_STATE(292)] = 4211,
  [SMALL_STATE(293)] = 4216,
  [SMALL_STATE(294)] = 4223,
  [SMALL_STATE(295)] = 4228,
  [SMALL_STATE(296)] = 4233,
  [SMALL_STATE(297)] = 4240,
  [SMALL_STATE(298)] = 4247,
  [SMALL_STATE(299)] = 4252,
  [SMALL_STATE(300)] = 4259,
  [SMALL_STATE(301)] = 4264,
  [SMALL_STATE(302)] = 4269,
  [SMALL_STATE(303)] = 4276,
  [SMALL_STATE(304)] = 4281,
  [SMALL_STATE(305)] = 4286,
  [SMALL_STATE(306)] = 4293,
  [SMALL_STATE(307)] = 4298,
  [SMALL_STATE(308)] = 4305,
  [SMALL_STATE(309)] = 4312,
  [SMALL_STATE(310)] = 4317,
  [SMALL_STATE(311)] = 4322,
  [SMALL_STATE(312)] = 4327,
  [SMALL_STATE(313)] = 4332,
  [SMALL_STATE(314)] = 4337,
  [SMALL_STATE(315)] = 4344,
  [SMALL_STATE(316)] = 4349,
  [SMALL_STATE(317)] = 4356,
  [SMALL_STATE(318)] = 4363,
  [SMALL_STATE(319)] = 4368,
  [SMALL_STATE(320)] = 4373,
  [SMALL_STATE(321)] = 4380,
  [SMALL_STATE(322)] = 4387,
  [SMALL_STATE(323)] = 4394,
  [SMALL_STATE(324)] = 4399,
  [SMALL_STATE(325)] = 4406,
  [SMALL_STATE(326)] = 4413,
  [SMALL_STATE(327)] = 4418,
  [SMALL_STATE(328)] = 4425,
  [SMALL_STATE(329)] = 4430,
  [SMALL_STATE(330)] = 4435,
  [SMALL_STATE(331)] = 4440,
  [SMALL_STATE(332)] = 4447,
  [SMALL_STATE(333)] = 4454,
  [SMALL_STATE(334)] = 4459,
  [SMALL_STATE(335)] = 4464,
  [SMALL_STATE(336)] = 4469,
  [SMALL_STATE(337)] = 4476,
  [SMALL_STATE(338)] = 4483,
  [SMALL_STATE(339)] = 4488,
  [SMALL_STATE(340)] = 4493,
  [SMALL_STATE(341)] = 4500,
  [SMALL_STATE(342)] = 4505,
  [SMALL_STATE(343)] = 4510,
  [SMALL_STATE(344)] = 4515,
  [SMALL_STATE(345)] = 4520,
  [SMALL_STATE(346)] = 4527,
  [SMALL_STATE(347)] = 4532,
  [SMALL_STATE(348)] = 4539,
  [SMALL_STATE(349)] = 4544,
  [SMALL_STATE(350)] = 4549,
  [SMALL_STATE(351)] = 4556,
  [SMALL_STATE(352)] = 4561,
  [SMALL_STATE(353)] = 4566,
  [SMALL_STATE(354)] = 4573,
  [SMALL_STATE(355)] = 4578,
  [SMALL_STATE(356)] = 4583,
  [SMALL_STATE(357)] = 4588,
  [SMALL_STATE(358)] = 4593,
  [SMALL_STATE(359)] = 4600,
  [SMALL_STATE(360)] = 4605,
  [SMALL_STATE(361)] = 4612,
  [SMALL_STATE(362)] = 4617,
  [SMALL_STATE(363)] = 4624,
  [SMALL_STATE(364)] = 4629,
  [SMALL_STATE(365)] = 4634,
  [SMALL_STATE(366)] = 4639,
  [SMALL_STATE(367)] = 4646,
  [SMALL_STATE(368)] = 4651,
  [SMALL_STATE(369)] = 4656,
  [SMALL_STATE(370)] = 4661,
  [SMALL_STATE(371)] = 4668,
  [SMALL_STATE(372)] = 4673,
  [SMALL_STATE(373)] = 4680,
  [SMALL_STATE(374)] = 4687,
  [SMALL_STATE(375)] = 4694,
  [SMALL_STATE(376)] = 4701,
  [SMALL_STATE(377)] = 4706,
  [SMALL_STATE(378)] = 4710,
  [SMALL_STATE(379)] = 4714,
  [SMALL_STATE(380)] = 4718,
  [SMALL_STATE(381)] = 4722,
  [SMALL_STATE(382)] = 4726,
  [SMALL_STATE(383)] = 4730,
  [SMALL_STATE(384)] = 4734,
  [SMALL_STATE(385)] = 4738,
  [SMALL_STATE(386)] = 4742,
  [SMALL_STATE(387)] = 4746,
  [SMALL_STATE(388)] = 4750,
  [SMALL_STATE(389)] = 4754,
  [SMALL_STATE(390)] = 4758,
  [SMALL_STATE(391)] = 4762,
  [SMALL_STATE(392)] = 4766,
  [SMALL_STATE(393)] = 4770,
  [SMALL_STATE(394)] = 4774,
  [SMALL_STATE(395)] = 4778,
  [SMALL_STATE(396)] = 4782,
  [SMALL_STATE(397)] = 4786,
  [SMALL_STATE(398)] = 4790,
  [SMALL_STATE(399)] = 4794,
  [SMALL_STATE(400)] = 4798,
  [SMALL_STATE(401)] = 4802,
  [SMALL_STATE(402)] = 4806,
  [SMALL_STATE(403)] = 4810,
  [SMALL_STATE(404)] = 4814,
  [SMALL_STATE(405)] = 4818,
  [SMALL_STATE(406)] = 4822,
  [SMALL_STATE(407)] = 4826,
  [SMALL_STATE(408)] = 4830,
  [SMALL_STATE(409)] = 4834,
  [SMALL_STATE(410)] = 4838,
  [SMALL_STATE(411)] = 4842,
  [SMALL_STATE(412)] = 4846,
  [SMALL_STATE(413)] = 4850,
  [SMALL_STATE(414)] = 4854,
  [SMALL_STATE(415)] = 4858,
  [SMALL_STATE(416)] = 4862,
  [SMALL_STATE(417)] = 4866,
  [SMALL_STATE(418)] = 4870,
  [SMALL_STATE(419)] = 4874,
  [SMALL_STATE(420)] = 4878,
  [SMALL_STATE(421)] = 4882,
  [SMALL_STATE(422)] = 4886,
  [SMALL_STATE(423)] = 4890,
  [SMALL_STATE(424)] = 4894,
  [SMALL_STATE(425)] = 4898,
  [SMALL_STATE(426)] = 4902,
  [SMALL_STATE(427)] = 4906,
  [SMALL_STATE(428)] = 4910,
  [SMALL_STATE(429)] = 4914,
  [SMALL_STATE(430)] = 4918,
  [SMALL_STATE(431)] = 4922,
  [SMALL_STATE(432)] = 4926,
  [SMALL_STATE(433)] = 4930,
  [SMALL_STATE(434)] = 4934,
  [SMALL_STATE(435)] = 4938,
  [SMALL_STATE(436)] = 4942,
  [SMALL_STATE(437)] = 4946,
  [SMALL_STATE(438)] = 4950,
  [SMALL_STATE(439)] = 4954,
  [SMALL_STATE(440)] = 4958,
  [SMALL_STATE(441)] = 4962,
  [SMALL_STATE(442)] = 4966,
  [SMALL_STATE(443)] = 4970,
  [SMALL_STATE(444)] = 4974,
  [SMALL_STATE(445)] = 4978,
  [SMALL_STATE(446)] = 4982,
  [SMALL_STATE(447)] = 4986,
  [SMALL_STATE(448)] = 4990,
  [SMALL_STATE(449)] = 4994,
  [SMALL_STATE(450)] = 4998,
  [SMALL_STATE(451)] = 5002,
  [SMALL_STATE(452)] = 5006,
  [SMALL_STATE(453)] = 5010,
  [SMALL_STATE(454)] = 5014,
  [SMALL_STATE(455)] = 5018,
  [SMALL_STATE(456)] = 5022,
  [SMALL_STATE(457)] = 5026,
  [SMALL_STATE(458)] = 5030,
  [SMALL_STATE(459)] = 5034,
  [SMALL_STATE(460)] = 5038,
  [SMALL_STATE(461)] = 5042,
  [SMALL_STATE(462)] = 5046,
  [SMALL_STATE(463)] = 5050,
  [SMALL_STATE(464)] = 5054,
  [SMALL_STATE(465)] = 5058,
  [SMALL_STATE(466)] = 5062,
  [SMALL_STATE(467)] = 5066,
  [SMALL_STATE(468)] = 5070,
  [SMALL_STATE(469)] = 5074,
  [SMALL_STATE(470)] = 5078,
  [SMALL_STATE(471)] = 5082,
  [SMALL_STATE(472)] = 5086,
  [SMALL_STATE(473)] = 5090,
  [SMALL_STATE(474)] = 5094,
  [SMALL_STATE(475)] = 5098,
  [SMALL_STATE(476)] = 5102,
  [SMALL_STATE(477)] = 5106,
  [SMALL_STATE(478)] = 5110,
  [SMALL_STATE(479)] = 5114,
  [SMALL_STATE(480)] = 5118,
  [SMALL_STATE(481)] = 5122,
  [SMALL_STATE(482)] = 5126,
  [SMALL_STATE(483)] = 5130,
  [SMALL_STATE(484)] = 5134,
  [SMALL_STATE(485)] = 5138,
  [SMALL_STATE(486)] = 5142,
  [SMALL_STATE(487)] = 5146,
  [SMALL_STATE(488)] = 5150,
  [SMALL_STATE(489)] = 5154,
  [SMALL_STATE(490)] = 5158,
  [SMALL_STATE(491)] = 5162,
  [SMALL_STATE(492)] = 5166,
  [SMALL_STATE(493)] = 5170,
  [SMALL_STATE(494)] = 5174,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [31] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2), SHIFT_REPEAT(446),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_content_repeat1, 2), SHIFT_REPEAT(445),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_content_repeat1, 2), SHIFT_REPEAT(444),
  [40] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2), SHIFT_REPEAT(443),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2), SHIFT_REPEAT(442),
  [46] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_content_repeat1, 2), SHIFT_REPEAT(475),
  [49] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2),
  [51] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2), SHIFT_REPEAT(4),
  [54] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_content, 1),
  [56] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [58] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [60] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [62] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [64] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [66] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [68] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [70] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [72] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [74] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [76] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [78] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2), SHIFT_REPEAT(167),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2), SHIFT_REPEAT(29),
  [84] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2), SHIFT_REPEAT(479),
  [87] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__intSubset, 2),
  [89] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2), SHIFT_REPEAT(287),
  [92] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [94] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [96] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [98] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 1),
  [116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2), SHIFT_REPEAT(491),
  [119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2),
  [121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2), SHIFT_REPEAT(22),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat2, 2), SHIFT_REPEAT(492),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat2, 2), SHIFT_REPEAT(493),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2), SHIFT_REPEAT(494),
  [133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cp, 1),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 2),
  [167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2), SHIFT_REPEAT(487),
  [170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2), SHIFT_REPEAT(31),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat1, 2), SHIFT_REPEAT(488),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat1, 2), SHIFT_REPEAT(489),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2), SHIFT_REPEAT(490),
  [184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(32),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(273),
  [192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2),
  [194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PEReference, 3),
  [196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat1, 2),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_AttValue_repeat1, 2), SHIFT_REPEAT(476),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_AttValue_repeat1, 2), SHIFT_REPEAT(477),
  [204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat1, 2), SHIFT_REPEAT(478),
  [207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat1, 2), SHIFT_REPEAT(35),
  [210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STag, 4),
  [212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STag, 4),
  [214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, .production_id = 1),
  [216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, .production_id = 1),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Reference, 1),
  [234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__Reference, 1),
  [236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat2, 2),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_AttValue_repeat2, 2), SHIFT_REPEAT(483),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_AttValue_repeat2, 2), SHIFT_REPEAT(484),
  [244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat2, 2), SHIFT_REPEAT(485),
  [247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat2, 2), SHIFT_REPEAT(43),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 3, .production_id = 3),
  [256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 3, .production_id = 2),
  [260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ETag, 4),
  [262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ETag, 4),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EmptyElemTag, 5),
  [276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EmptyElemTag, 5),
  [278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PI, 5),
  [280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PI, 5),
  [282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ETag, 3),
  [284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ETag, 3),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EmptyElemTag, 4),
  [300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EmptyElemTag, 4),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STag, 3),
  [304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STag, 3),
  [306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3),
  [308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3),
  [310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EmptyElemTag, 3),
  [312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EmptyElemTag, 3),
  [314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PI, 3),
  [316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PI, 3),
  [318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 3),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2),
  [326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, .production_id = 2),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 4),
  [336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CDSect, 3),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CDSect, 3),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CharRef, 3),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CharRef, 3),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CDSect, 2),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CDSect, 2),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 7),
  [350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 4, .production_id = 3),
  [352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EntityRef, 3),
  [354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EntityRef, 3),
  [356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 4),
  [358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 6),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 3),
  [370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STag, 5),
  [372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STag, 5),
  [374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 5),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 2), SHIFT_REPEAT(92),
  [437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 2),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 2), SHIFT_REPEAT(357),
  [442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PEReference, 3),
  [444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StyleSheetPI, 5),
  [446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_StyleSheetPI, 5),
  [448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XmlModelPI, 5),
  [450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XmlModelPI, 5),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StyleSheetPI, 3),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_StyleSheetPI, 3),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XmlModelPI, 3),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XmlModelPI, 3),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XmlModelPI, 4),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XmlModelPI, 4),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StyleSheetPI, 4),
  [486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_StyleSheetPI, 4),
  [488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cp, 2),
  [490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 4),
  [492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 4),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 4),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 6),
  [506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 6),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2),
  [510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2), SHIFT_REPEAT(195),
  [513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2), SHIFT_REPEAT(398),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_children, 1),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 3),
  [524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat2, 2),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat2, 2), SHIFT_REPEAT(482),
  [529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat2, 2), SHIFT_REPEAT(358),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__intSubset, 3),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 7),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 7),
  [546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 2), SHIFT_REPEAT(174),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 2),
  [551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 2), SHIFT_REPEAT(396),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 5),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 5),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 12),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 12),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 8),
  [616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 8),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat2, 2),
  [624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat2, 2), SHIFT_REPEAT(482),
  [627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 11),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 11),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 5),
  [633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 5),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 3),
  [641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2), SHIFT_REPEAT(188),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_EmptyElemTag_repeat1, 2),
  [648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EmptyElemTag_repeat1, 2), SHIFT_REPEAT(288),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 1),
  [655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 1), SHIFT_REPEAT(192),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AttlistDecl_repeat1, 2),
  [660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttlistDecl_repeat1, 2), SHIFT_REPEAT(262),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 7),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 7),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 3),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 2), SHIFT_REPEAT(360),
  [686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 2),
  [688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 2), SHIFT_REPEAT(395),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 9),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 9),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 10),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 10),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 6),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 6),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 4),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 6),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_StyleSheetPI_repeat1, 2), SHIFT_REPEAT(290),
  [752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_StyleSheetPI_repeat1, 2),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SystemLiteral, 3),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ExternalID, 5),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 5),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Attribute, 3),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttValue, 3, .production_id = 4),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 3),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 4),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ExternalID, 3),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Eq, 1),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 4),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Eq, 2),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 3),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttValue, 2),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat2, 1),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 6),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EntityValue, 2),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GEDecl, 7),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__EntityDecl, 1),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__markupdecl, 1),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationDecl, 7),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elementdecl, 8),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__AttType, 1),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttDef, 4),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__EnumeratedType, 1),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PublicID, 3),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationDecl, 8),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EntityValue, 3, .production_id = 4),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PseudoAttValue, 2),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GEDecl, 8),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttlistDecl, 7),
  [938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_children, 2),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StringType, 1),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 9),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CDStart, 3),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 8),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PseudoAtt, 3),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 7),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Eq, 3),
  [988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__VersionInfo, 6),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PEDecl, 9),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 6),
  [1002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttlistDecl_repeat1, 2), SHIFT(27),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GEDecl, 9),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 8),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttlistDecl, 6),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_DefaultDecl, 3),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elementdecl, 7),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contentspec, 1),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PseudoAttValue, 3, .production_id = 4),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PubidLiteral, 3),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 5),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 7),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttlistDecl, 5),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 3),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__SDDecl, 6),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__EncodingDecl, 6),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_DefaultDecl, 1),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttDef, 6),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PEDecl, 10),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NDataDecl, 4),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 4),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1085] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_PITarget = 0,
  ts_external_token__pi_content = 1,
  ts_external_token_Comment = 2,
  ts_external_token_CharData = 3,
  ts_external_token_CData = 4,
  ts_external_token_xml_DASHmodel = 5,
  ts_external_token_xml_DASHstylesheet = 6,
  ts_external_token__start_tag_name = 7,
  ts_external_token__end_tag_name = 8,
  ts_external_token__erroneous_end_name = 9,
  ts_external_token_SLASH_GT = 10,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_PITarget] = sym_PITarget,
  [ts_external_token__pi_content] = sym__pi_content,
  [ts_external_token_Comment] = sym_Comment,
  [ts_external_token_CharData] = sym_CharData,
  [ts_external_token_CData] = sym_CData,
  [ts_external_token_xml_DASHmodel] = anon_sym_xml_DASHmodel,
  [ts_external_token_xml_DASHstylesheet] = anon_sym_xml_DASHstylesheet,
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token__erroneous_end_name] = sym__erroneous_end_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_PITarget] = true,
    [ts_external_token__pi_content] = true,
    [ts_external_token_Comment] = true,
    [ts_external_token_CharData] = true,
    [ts_external_token_CData] = true,
    [ts_external_token_xml_DASHmodel] = true,
    [ts_external_token_xml_DASHstylesheet] = true,
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token__erroneous_end_name] = true,
    [ts_external_token_SLASH_GT] = true,
  },
  [2] = {
    [ts_external_token_Comment] = true,
  },
  [3] = {
    [ts_external_token_Comment] = true,
    [ts_external_token_CharData] = true,
  },
  [4] = {
    [ts_external_token_SLASH_GT] = true,
  },
  [5] = {
    [ts_external_token_PITarget] = true,
    [ts_external_token_xml_DASHmodel] = true,
    [ts_external_token_xml_DASHstylesheet] = true,
  },
  [6] = {
    [ts_external_token_CData] = true,
  },
  [7] = {
    [ts_external_token__start_tag_name] = true,
  },
  [8] = {
    [ts_external_token__pi_content] = true,
  },
  [9] = {
    [ts_external_token__end_tag_name] = true,
  },
  [10] = {
    [ts_external_token_PITarget] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_xml_external_scanner_create(void);
void tree_sitter_xml_external_scanner_destroy(void *);
bool tree_sitter_xml_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_xml_external_scanner_serialize(void *, char *);
void tree_sitter_xml_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_xml() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_Name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_xml_external_scanner_create,
      tree_sitter_xml_external_scanner_destroy,
      tree_sitter_xml_external_scanner_scan,
      tree_sitter_xml_external_scanner_serialize,
      tree_sitter_xml_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
